jQuery.noConflict()(function($){

	"use strict";

/* ===============================================
   CONTACT FORM
   =============================================== */

	$(".contact-form .buttons").click(function() {
		
		var hasError = false;
	
		var emailReg = /^([\w-\.]+@([\w-]+\.)+[\w-]{2,4})?$/;
			
		if($("input#contact-name").val() === '') {
			hasError = true;
			$(".contact-form #contact-name").addClass('empty-value');
		} else {
			$(".contact-form #contact-name").removeClass('empty-value');
		}
		
		if($("input#contact-subject").val() === '') {
			hasError = true;
			$(".contact-form #contact-subject").addClass('empty-value');
		} else {
			$(".contact-form #contact-subject").removeClass('empty-value');
		}
		
		if($("#contact-message").val() === '') {
			hasError = true;
			$(".contact-form #contact-message").addClass('empty-value');
		} else {
			$(".contact-form #contact-message").removeClass('empty-value');
		}

		if( (!emailReg.test( $("#contact-email").val() )) || ($("#contact-email").val() === '') ) {
			hasError = true;
			$(".contact-form #contact-email").addClass('empty-value');
		} else {
			$(".contact-form #contact-email").removeClass('empty-value');
		}
	
		if( hasError === true ) {
		
			$('.contact-form span.messagge-error').css({'display':'block'});
			return false;
	
		} else {
		
			$('.contact-form span.messagge-error').css({'display':'none'});
			return true;
		
		}
	
	});

/* ===============================================
   Tabs
   =============================================== */

	$( ".tabs" ).tabs({ hide: { effect: "fadeOut", duration: 300 } });
	
/* ===============================================
   Toggle
   =============================================== */
	
	$('.toggle_container h5.element').click(function(){		
		
		if($(this).next('.toggle').css('display') === 'none') {	
				$(this).addClass('inactive');
				$(this).children('i').addClass('open');
			}
		else {	$(this).removeClass('inactive');
				$(this).children('img').removeClass('inactive');
				$(this).children('i').removeClass('open');
			}
					
		$(this).next('.toggle').stop(true,false).slideToggle('slow');
	
	});


/* ===============================================
   Skillbar
   =============================================== */

	$('.skillbar').each(function(){
		$(this).find('.skillbar-bar').animate({
			width:$(this).attr('data-percent')
		},6000);
	});
	
/* ===============================================
   Counter
   =============================================== */

	function suevaCounter() {

		if ( $( '.sueva-counter' ).length ) {
	
			var windowTop = $(window).scrollTop();
			var windowBottom = windowTop + $(window).height();
			var elementTop = $('.sueva-counter').offset().top;
			var elementBottom = elementTop + $('.sueva-counter').height();
			
			var isVisible = ( (elementBottom<= windowBottom) && (elementTop >= windowTop) );
	
			if ( isVisible === true ) {
	
				$('.sueva-counter .count').each(function () {
						
					var counterValue = parseInt($(this).attr('data-count'));
					var currentValue = parseInt($(this).html());
					
					if ( currentValue < counterValue ) {
	
						$(this).prop('Counter', 0 ).delay(900).animate({
								
							Counter: counterValue
								
						}, {
									
							duration: 2000,
							easing: 'swing',
							
							step: function (now) { 
			
								$(this).text(Math.ceil(now));
			
							}
								
						});
	
					}
		
				});
			
			}
	
		}
		
	}

	$( document ).ready(suevaCounter);
	$( window ).scroll(suevaCounter);

/* ===============================================
   OVERLAY
   =============================================== */

	$('.overlay-image').hover(function(){
		
		var imgwidth = $(this).children('img').width();
		var imgheight = $(this).children('img').height();
		$(this).children('.zoom').css({'width':imgwidth,'height':imgheight});	
		$(this).children('.link').css({'width':imgwidth,'height':imgheight});
		$(this).css({'width':imgwidth+10});		
		
		$('.overlay',this).animate({ opacity : 0.6 },{queue:false});
		}, 
		function() {
		$('.overlay',this).animate({ opacity: 0.0 },{queue:false});
	
	});

/* ===============================================
   ONE PAGE
   =============================================== */

	function sueva_one_page() {
	
		var header = $('#header-wrapper.fixed-header .row').innerHeight() - 1;
		var demostore = $('p.demo_store').innerHeight();
		var adminbar = $('body.logged-in #wpadminbar').innerHeight();
		var offset = header + demostore + adminbar;
		
		$('.sueva-menu ul.one-page-menu li').each(function(){

			var scroll_attr = $(this).children('a').attr('href');
			var scroll_item = scroll_attr.replace( '#one-page-', '' );
			var scroll_to =   scroll_item - 1;

			$(this).click(function() {
				
				$('.sueva-menu ul.one-page-menu li').removeClass('current_page_item');
				$(this).addClass('current_page_item');
				
				if ( scroll_item === "0" ) {
					$.scrollTo( 0, {axis:'y',duration:'slow', margin:true, offset:-offset} );
				} else {
					$.scrollTo( "#onepage_sidebar .onepage-widget:eq(" + scroll_to + ")", {axis:'y',duration:'slow', margin:true, offset:-offset} );
				}

			});
		
		});
		
	}
	
	$( window ).load(sueva_one_page);

/* ===============================================
   SLICK
   ============================================= */

	$('.slick-sueva-slideshow').each(function(){

		var slick_id = $(this).attr('id');
		
		var slick_center = false;
		
		if ( $(this).attr('data-center') === "true" ) {
			slick_center = true ;
		}
		
		var slick_columns = parseInt($(this).attr('data-columns'));
		var slick_columns_992 = 2 ;

		if ( $(this).attr('data-columns').length === 0 ) {
			slick_columns = 1 ;
		}

		if ( slick_columns <= 1 ) {
			slick_columns_992 = 1 ;
		}

		$('#' + slick_id + ' .sueva-slick-wrapper' ).slick({

		  centerMode: slick_center,

		  dots: false,
		  speed: 300,
		  adaptiveHeight: true,

		  prevArrow: '<div class="prev-arrow"><i class="fa fa-angle-left"></i></div>',
		  nextArrow: '<div class="next-arrow"><i class="fa fa-angle-right"></i></div>',

		  slidesToShow: slick_columns,
		  slidesToScroll: slick_columns,
		
		  responsive: [
			{
			  breakpoint: 992,
			  settings: {
				centerMode: false,
				slidesToShow: slick_columns_992,
				slidesToScroll: slick_columns_992,
			  }
			},
			{
			  breakpoint: 768,
			  settings: {
				centerMode: false,
				slidesToShow: 1,
				slidesToScroll: 1
			  }
			},

		  ]
		  
		});

		function wip_slick_arrows() {
			
			if ( $('#' + slick_id ).children('div.slick-arrow').length === 0 ) {
			
				$('#' + slick_id ).prev('header.title').removeClass('slick_arrows');
			
			} else {
			
				$('#' + slick_id ).prev('header.title').addClass('slick_arrows');
			
			}
		
		}
		
		$( window ).load(wip_slick_arrows);
		$( window ).resize(wip_slick_arrows);

	}); 
	
});