<?php
 
if( !class_exists( 'sueva_shortcodes_generator' ) ) {

	class sueva_shortcodes_generator {
	
		/**
		 * Constructor
		 */
		 
		public function __construct() {


			add_action('admin_init', array(&$this, 'add_script'));
			add_action('admin_head', array(&$this, 'shortcodes_button'));

		}
		
		/**
		 * Loads the theme scripts and styles
		 */
		 
		public function add_script() {
			
			 $file_dir = plugins_url('/assets/', dirname(__FILE__));
			 wp_enqueue_style ( 'sueva-essential-kit-shortcodes', $file_dir.'css/shortcodes.css' );
		
		}

		/**
		 * Shortcodes generator
		 */
		 
		public function shortcodes_button() {
		
			global $wp_version;
			
			if ( $wp_version >= '3.9.0' ) {
		
				if ( !current_user_can( 'edit_posts' ) && !current_user_can( 'edit_pages' ) ) {
					return;
				}
			
				if ( 'true' == get_user_option( 'rich_editing' ) ) {
					add_filter( 'mce_external_plugins', array(&$this, 'shortcodes_add_button'));
					add_filter( 'mce_buttons', array(&$this, 'shortcodes_register_button') );
				}
			
			}

		}
		
		/**
		 * Add shortcode button
		 */
		 
		public function shortcodes_add_button( $plugin_array ) {
		
			$plugin_array['sueva_essential_kit_shortcode_generator'] = plugins_url('/assets/', dirname(__FILE__)) . "js/shortcodes.js";
			return $plugin_array;

		}
		
		/**
		 * Register shortcode button
		 */
		 
		public function shortcodes_register_button( $buttons ) {
		
			array_push( $buttons, 'sueva_essential_kit_shortcode_generator' );
			return $buttons;
	
		}

	}

}

new sueva_shortcodes_generator();

?>