<?php 

class wip_bio_widget extends WP_Widget {
	
	public function __construct()  {
		
		parent::__construct( "wip_bio_widget", "Sueva Biography Widget", array("description" => "Sueva Biography Widget"));

	}

	public function form( $instance ) {

		$defaults = array( 
			'auth_name' => 'Alex Vtn',
			'auth_bio' => 'Web designer and WordPress developer from Rome',
			'auth_thumb' => 'https://secure.gravatar.com/avatar/1edf979f90dde16f68183108f8461b4e?d=mm&s=150&r=G',
			'auth_thumb_hover' => '',
			'auth_bg' => 'https://unsplash.imgix.net/27/perspective.jpg?q=75&w=1080&h=1080&fit=max&fm=jpg&auto=format&s=a31d0c90c13182bc820dde553d9993bf',
			'thumb_width' => '140',
			'bg_height' => '200',
        );

		$instance = wp_parse_args( (array) $instance, $defaults ); 
		
		?>
        
		<p>
			
            <label for="<?php echo $this->get_field_id( 'auth_name' ); ?>"><?php esc_html_e( "Author name","sueva-essential-kit"); ?></label>
			<input class="widefat" type="text" id="<?php echo $this->get_field_id( 'auth_name' ); ?>" name="<?php echo $this->get_field_name( 'auth_name' ); ?>" value="<?php echo $instance['auth_name']; ?>" />
			
		</p>  
	
    	<p>
			
            <label for="<?php echo $this->get_field_id( 'auth_bio' ); ?>"><?php esc_html_e( "Author biography","sueva-essential-kit"); ?></label>
			<textarea class="widefat" id="<?php echo $this->get_field_id( 'auth_bio' ); ?>" name="<?php echo $this->get_field_name( 'auth_bio' ); ?>" cols="4" rows="4"><?php echo $instance['auth_bio']; ?></textarea>

		</p>  

		<p class="sueva_widget_upload">
			
            <label for="<?php echo $this->get_field_id( 'auth_thumb' ); ?>"><?php esc_html_e( "Thumbnail","sueva-essential-kit"); ?></label>
			
            <input class="widefat upload_attachment" type="text" id="<?php echo $this->get_field_id( 'auth_thumb' ); ?>" name="<?php echo $this->get_field_name( 'auth_thumb' ); ?>" value="<?php echo $instance['auth_thumb']; ?>" />
            
			<input type="button" name="upload_button" class="button upload_button" value="<?php esc_attr_e('Upload','sueva-essential-kit'); ?>" />
			
		</p>  
        
		<p class="sueva_widget_upload">
        
			<label for="<?php echo $this->get_field_id( 'auth_thumb_hover' ); ?>"><?php esc_html_e( "Thumbnail hover","sueva-essential-kit"); ?></label>
			
            <input class="widefat upload_attachment" type="text" id="<?php echo $this->get_field_id( 'auth_thumb_hover' ); ?>" name="<?php echo $this->get_field_name( 'auth_thumb_hover' ); ?>" value="<?php echo $instance['auth_thumb_hover']; ?>" />
			
			<input type="button" name="upload_button" class="button upload_button" value="<?php esc_attr_e('Upload','sueva-essential-kit'); ?>" />
			
		</p>  

		<p class="sueva_widget_upload">
        
			<label for="<?php echo $this->get_field_id( 'auth_bg' ); ?>"><?php esc_html_e( "Background","sueva-essential-kit"); ?></label>
			
            <input class="widefat upload_attachment" type="text" id="<?php echo $this->get_field_id( 'auth_bg' ); ?>" name="<?php echo $this->get_field_name( 'auth_bg' ); ?>" value="<?php echo $instance['auth_bg']; ?>" />
			
			<input type="button" name="upload_button" class="button upload_button" value="<?php esc_attr_e('Upload','sueva-essential-kit'); ?>" />
			
		</p>  

		<p>
			
            <label for="<?php echo $this->get_field_id( 'thumb_width' ); ?>"><?php esc_html_e( "Thumbnail Width","sueva-essential-kit"); ?></label>
			<input class="widefat" type="number" id="<?php echo $this->get_field_id( 'thumb_width' ); ?>" name="<?php echo $this->get_field_name( 'thumb_width' ); ?>" value="<?php echo $instance['thumb_width']; ?>" />
			
		</p>  

		<p>
			
            <label for="<?php echo $this->get_field_id( 'bg_height' ); ?>"><?php esc_html_e( "Background Height","sueva-essential-kit"); ?></label>
			<input class="widefat" type="number" id="<?php echo $this->get_field_id( 'bg_height' ); ?>" name="<?php echo $this->get_field_name( 'bg_height' ); ?>" value="<?php echo $instance['bg_height']; ?>" />
			
		</p>  

		<?php
	}
	
	public function update( $new_instance, $old_instance ) {
		
		$instance = $old_instance;

		$instance['auth_name'] = strip_tags( $new_instance['auth_name'] );
		$instance['auth_bio'] = strip_tags( $new_instance['auth_bio'] );
		$instance['auth_thumb'] = strip_tags( $new_instance['auth_thumb'] );
		$instance['auth_thumb_hover'] = strip_tags( $new_instance['auth_thumb_hover'] );
		$instance['auth_bg'] = strip_tags( $new_instance['auth_bg'] );
		$instance['thumb_width'] = strip_tags( $new_instance['thumb_width'] );
		$instance['bg_height'] = strip_tags( $new_instance['bg_height'] );
		
		return $instance;
	}                     
	
		public function widget( $args, $instance ) {
		
		extract( $args );
		
		echo $before_widget;

		if ( $instance['auth_thumb_hover']) :
	
	?>
    	
		<script type="text/javascript">
		
			jQuery.noConflict()(function($){
				$('#<?php echo $args['widget_id']; ?> .auth-container').hover(function(){
					$(this).find('img').attr("src","<?php echo $instance['auth_thumb_hover']; ?>");
				}, 
				function() {
					$(this).find('img').attr("src","<?php echo $instance['auth_thumb']; ?>");
				});
			});
		
        </script>
        
	<?php
		
		endif;
		
	?>
        
        <div class="auth-container" >
        
            <div class="auth-cover" style="background-image:url('<?php echo $instance['auth_bg']; ?>'); height:<?php echo $instance['bg_height']; ?>px; " ></div>
    
            <div class="auth-thumb" style="width:<?php echo $instance['thumb_width']; ?>px; height:<?php echo $instance['thumb_width']; ?>px; margin-top:-<?php echo $instance['thumb_width']/2; ?>px;"> 
                <img style="width:<?php echo $instance['thumb_width']; ?>px;height:<?php echo $instance['thumb_width']; ?>px;" src="<?php echo $instance['auth_thumb']; ?>" alt="thumbnail" > 
            </div>
           
            <div class="auth-info">
            
                <h3 class="title"><?php echo $instance['auth_name']; ?></h3>
                <p><?php echo $instance['auth_bio']; ?></p>
                
            </div>

        </div>
	
	<?php

		echo $after_widget;
	
	}
	
}
	
?>