<?php 

class sueva_slideshow_widget extends WP_Widget {
	
	public function __construct() {
		
		parent::__construct( "sueva_slideshow_widget", "Sueva Slick Slideshow", array("description" => "Sueva Slick Slideshow"));
	}
	
	public function form( $instance ) {

		$defaults = array( 
			'title' => 'News',
            'slideshow_items' => "-1",
            'slideshow_overlay' => "on",
			
        );
        
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>
        
		<p>
			
            <label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php esc_html_e( "Title","sueva"); ?>:</label>
            <input class="widefat" type="text" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo esc_attr($instance['title']); ?>" />
			
		</p>  

		<p>
			
            <label for="<?php echo $this->get_field_id( 'slideshow_items' ); ?>"> <?php esc_html_e( "Numbers of items ( Add -1 to display all articles. )","sueva"); ?>: </label>
            <input class="widefat" type="number" id="<?php echo $this->get_field_id( 'slideshow_items' ); ?>" name="<?php echo $this->get_field_name( 'slideshow_items' ); ?>" value="<?php echo esc_attr($instance['slideshow_items']); ?>" />
            
		</p> 
        
		<p>
			
            <label for="<?php echo $this->get_field_id( 'slideshow_overlay' ); ?>"> <?php esc_html_e( "Do you want do show the slideshow overlay?","sueva"); ?> </label>

            <div class="bool-slider <?php if ( $instance['slideshow_overlay'] != "") { echo stripslashes($instance['slideshow_overlay']); } else { echo "off"; } ?>">
                                        
                <div class="inset"><div class="control"></div></div>
                                        
                    <input name="<?php echo $this->get_field_name( 'slideshow_overlay' ); ?>" id="<?php echo $this->get_field_id( 'slideshow_overlay' ); ?>" type="hidden" value="<?php if ( $instance['slideshow_overlay'] != "") { echo esc_attr($instance['slideshow_overlay']); } else { echo "off"; } ?>" class="on-off" />
        
            </div>  
            
            <div class="clear"></div>

		</p> 
        
		<?php
		
	}
	
	public function update( $new_instance, $old_instance ) {
		
		$instance = $old_instance;
		
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['slideshow_items'] = strip_tags( $new_instance['slideshow_items'] );
		$instance['slideshow_overlay'] = strip_tags( $new_instance['slideshow_overlay'] );

		return $instance;
		
	}                     
	
	public function widget( $args, $instance ) {
		
		extract( $args );
		
		$allowed = array(
		
			'div' => array(
				'id' => array(),
				'class' => array(),
			),
			'article' => array(
				'id' => array(),
				'class' => array(),
			),
			'h4' => array(
				'class' => array(),
			)
	
		);

		echo wp_kses($before_widget, $allowed);

		$title = apply_filters( 'widget_title', $instance['title'] );
		
		if ( $title )
			echo wp_kses($before_title, $allowed) . esc_attr($title) . wp_kses($after_title, $allowed) ;

        $query_args = array(
            'post_type' => 'post',
            'posts_per_page' => $instance['slideshow_items'],
			'meta_key' => '_thumbnail_id'
        );
        
        $query = new WP_Query( $query_args );
		
		?>
        
        <div id="<?php echo $args['widget_id']; ?>-carousel" class="slick-sueva-slideshow" data-center="true" data-columns="1" >

            <div class="slider sueva-slick-wrapper slick-slides">

			<?php
        
                if ( $query->have_posts() ) : while ( $query->have_posts() ) : $query->the_post(); 
        
                    global $post;

                    $thumb = wp_get_attachment_image_src( get_post_thumbnail_id(), 'sueva_slick');
                                 	                   
                    if (!empty($thumb)) : 
                                    
                    	$thumbnail = $thumb[0];
                                    
                    else:
                                    
                    	$thumbnail = plugins_url( '../assets/images/no-image.jpg', dirname(__FILE__)) ; 
                                    
                    endif;

			?>
			
					<div>
				   
						<div class="slick-article">
							
							<img src="<?php echo esc_url($thumbnail); ?>" alt="<?php echo get_the_title(); ?>">
							
							<?php if ( $instance['slideshow_overlay'] == "on" ) :?>
                                
                                <div class="slider-overlay">
    
                                    <span class="entry-category"><?php the_category(' . '); ?></span>
                                    <h2 class="title"><a href="<?php echo get_permalink($post->ID); ?>" tabindex="0"><?php echo get_the_title(); ?></a></h2>
                                    <span class="entry-date"><?php echo esc_html__('On ','sueva-essential-kit') . get_the_date() . esc_html__(' by ','sueva-essential-kit') . get_the_author_posts_link(); ?></span>	
                            
                                </div>
                                
                            <?php endif; ?>
                            
						</div>
						
					</div>
			
			<?php

				endwhile; 
				endif;
                wp_reset_query();
                wp_reset_postdata();

			?>

            </div>
            
        </div>
        
        <?php

		echo wp_kses($after_widget, $allowed);
		
	}
	
}

?>