jQuery.noConflict()(function($){

	"use strict";

/* ===============================================
   FIXED HEADER
   =============================================== */

	function sueva_header() {
		
		var body_width = $(window).width();
		
		var header = $('#header-wrapper .row').innerHeight();
		var submenu = $('.sueva-menu ul > li').innerHeight();
		var demostore = $('p.demo_store').innerHeight();
		var adminbar = $('body.logged-in #wpadminbar').innerHeight();
		
		if ( body_width >= 992 ){
		
			$('#header-wrapper.fixed-header').css({'height': header + demostore});
			$('#header-wrapper.fixed-header #header').css({'height': header});
			$('#header-wrapper.fixed-header #header').css({'top': demostore + adminbar });
			$('.sueva-menu ul > li > ul').css({'top': submenu });
		
		} else {
		
			$('#header-wrapper.fixed-header, #header-wrapper.fixed-header #header').css({'height':'auto'});
		
		}

	}
	
	$( window ).load(sueva_header);
	$( window ).resize(sueva_header);

/* ===============================================
   HEADER 6
   =============================================== */

	function sueva_header_6() {

		var body_width = $(window).width();

		var logo_width = $('.header-6 #logo').innerWidth()/2;
		var logo_height = $('.header-6 #logo').innerHeight()/2;
		var first_menu = $('.header-6 .sueva-menu ul.first-menu').width();
		var last_menu = $('.header-6 .sueva-menu ul.last-menu').width();
		
		if ( body_width >= 992 ){
		
			$('.header-6 #logo').css({'margin-top': -logo_height });
			$('.header-6 #logo').css({'margin-left': -logo_width });
			$('.header-6 .sueva-menu ul.first-menu').css({'margin-left': -(first_menu+logo_width+25) });
			$('.header-6 .sueva-menu ul.last-menu').css({'margin-right': -(last_menu+logo_width+25) });
		
		} else {
		
			$('.header-6 #logo').css({'margin-top': 0 });
			$('.header-6 #logo').css({'margin-left': 0 });
			$('.header-6 .sueva-menu ul.first-menu').css({'margin-left': 0 });
			$('.header-6 .sueva-menu ul.last-menu').css({'margin-right': 0 });
		
		}

	}
	
	$( window ).load(sueva_header_6);
	$( window ).resize(sueva_header_6);

/* ===============================================
   HEADER /
   =============================================== */

	$(window).load(function() {

		$('body.nicescroll').niceScroll({ cursorcolor: '#c1c1c1', cursorwidth:'12px', background:'#fafafa', scrollspeed:100, zindex:999999 });
	
		$("#scroll-sidebar").niceScroll({smoothscroll: false});
		$("#scroll-sidebar").getNiceScroll().hide();

		var pw = $(window).width();
		
		$("#header .navigation").click(function() {

			$('#overlay-body').fadeIn(600).addClass('visible');
			$('body').addClass('overlay-active');
			$('#wrapper').addClass('open-sidebar');

		});

		if ( pw < 992 ) {

			$("#sidebar-wrapper .navigation").click(function() {
	
				$('#overlay-body').fadeOut(600);
				$('body').removeClass('overlay-active');
				$('#wrapper').removeClass('open-sidebar');
		
			});

			$("#overlay-body").swipe({
	
				swipeRight:function(event, direction, distance, duration, fingerCount) {
	
					$('#overlay-body').fadeOut(600);
					$('body').removeClass('overlay-active');
					$('#wrapper').removeClass('open-sidebar');
	
				},
	
				threshold:0
		
			});
		
		} else if ( pw > 992 ) {

			$("#sidebar-wrapper .navigation, #overlay-body").click(function() {
	
				$('#overlay-body').fadeOut(600);
				$('body').removeClass('overlay-active');
				$('#wrapper').removeClass('open-sidebar');
		
			});

		}
		
	});

/* ===============================================
   HEADER CART
   ============================================= */
	
	$('div.header-cart').hover(
		
		function () {
			$(this).children('div.header-cart-widget').stop(true, true).fadeIn(100);
		}, 
		function () {
			$(this).children('div.header-cart-widget').stop(true, true).fadeOut(400);		
		}
			
	);

/* ===============================================
   HEADER SEARCH 
   =============================================== */
   
	$('.header-search i').click(function(){
		
		if( $('.header-search .search-form').css('display') === 'none') {
			$('.header-search .search-form').fadeIn(100);
		} else {	
			$('.header-search .search-form').fadeOut(100);
		}

    });

/* ===============================================
   MOBILE MENU
   =============================================== */
	
	$(window).load(function() {

		$("#mobile-scroll").niceScroll({smoothscroll: false});
		$("#mobile-scroll").getNiceScroll().hide();

		var pw = $(window).width();
		
		$("#header .mobile-navigation").click(function() {

			$('#overlay-body').fadeIn(600).addClass('visible');
			$('body').addClass('overlay-active');
			$('#wrapper').addClass('open-sidebar');

		});

		if ( pw < 992 ) {

			$("#mobile-wrapper .mobile-navigation, #overlay-body").click(function() {
	
				$('#overlay-body').fadeOut(600);
				$('body').removeClass('overlay-active');
				$('#wrapper').removeClass('open-sidebar');
		
			});

			$("#overlay-body").swipe({
	
				swipeRight:function() {
	
					$('#overlay-body').fadeOut(600);
					$('body').removeClass('overlay-active');
					$('#wrapper').removeClass('open-sidebar');
	
				},
	
				threshold:0
		
			});
		
		} else if ( pw > 992 ) {

			$("#mobile-wrapper .mobile-navigation, #overlay-body").click(function() {
				$('#overlay-body').fadeOut(600);
				$('body').removeClass('overlay-active');
				$('#wrapper').removeClass('open-sidebar');
			});

		}
		
	});

/* ===============================================
   HEADER 8 MOBILE MENU
   =============================================== */
	
	$(window).load(function() {

		$("#header.header-8").niceScroll({smoothscroll: false});
		$("#header.header-8").getNiceScroll().hide();

		$('#header .navigation').click(function(){	
			
			if($(this).next('.sueva-mobile-menu').css('display') === 'none' ) {	
			
				$(this).html('<i class="fa fa-times"></i>');
			
			} else {	
			
				$(this).html('<i class="fa fa-bars"></i>');
			
			}
			
			$(this).next('.sueva-mobile-menu').stop(true,false).slideToggle('slow');
			
		});

		function sueva_header_8() {
	
			var body_width = $(window).width();
			
			if ( body_width >= 992 ) {
				
				$("#header.header-8 .sueva-mobile-menu").css({'display':'block'});
			
			} else {
			
				$("#header.header-8 .sueva-mobile-menu").css({'display':'none'});
			
			}
	
		}
		
		$( window ).load(sueva_header_8);
		$( window ).resize(sueva_header_8);

	});

/* ===============================================
   MAIN MENU
   =============================================== */

	$('.sueva-general-menu li').hover(
		
		function () {
			$(this).children('ul').stop(true, true).fadeIn(100);
		}, 
		function () {
			$(this).children('ul').stop(true, true).fadeOut(400);		
		}
			
	);

/* ===============================================
   TINYNAV MENU
   =============================================== */

	if ( $('.tinynav-menu').length ) { 
	
		$('.tinynav-menu ul:first').tinyNav({
			active: 'current-menu-item',
		});

	} else {
	
		$('.tinynav-menu ul:first').tinyNav({
			header: 'Select an item',
		});

	}

/* ===============================================
   VERTICAL MENU
   =============================================== */

	$('.sueva-vertical-menu ul > li').each(function(){
    	
		if( $('ul', this).length > 0 ) {
        
			$(this).children('a').append('<span class="sf-sub-indicator"> <i class="fa fa-plus"></i> </span>'); 
		
		}
	
	});
    
	$('.sueva-vertical-menu ul > li .sf-sub-indicator, .sueva-vertical-menu ul > li > ul > li .sf-sub-indicator ').click(function(e){

		e.preventDefault();

		if($(this).closest('a').next('ul.sub-menu').css('display') === 'none' ) {	

			$(this).html('<i class="fa fa-times"></i>');
			
		} else {	
			
			$(this).html('<i class="fa fa-plus"></i>');
			
		}
			
		$(this).closest('a').next('ul.sub-menu').stop(true,false).slideToggle('slow');

	});

/* ===============================================
   FOOTER
   =============================================== */

	function sueva_footer() {
	
		var footer_h = $('#footer').innerHeight();
		$('#wrapper').css({'padding-bottom':footer_h});
	
	}
	
	$( document ).ready(sueva_footer);
	$( window ).resize(sueva_footer);

/* ===============================================
   OVERLAY
   =============================================== */

	$('.filterable-grid li').live('mouseover',function(){
			
		var imgw = $('.overlay',this).prev().width();
		var imgh = $('.overlay',this).prev().height();
			
		$('.overlay',this).css({'width':imgw,'height':imgh});	
			
		$('.overlay',this).animate({ opacity : 0.6 },{queue:false});
	
	});
	
	$('.filterable-grid li').live('mouseout',function(){
		
		$('.overlay', this).animate({ opacity: 0}, { queue:false });
		
	});
	
	$('.gallery img').hover(function(){
		$(this).animate({ opacity: 0.50 },{queue:false});
	}, 
	function() {
		$(this).animate({ opacity: 1.00 },{queue:false});
	});
	

/* ===============================================
   Tipsy
   =============================================== */

	$('.social-buttons a').tipsy({fade:true, gravity:'s'});
	
/* ===============================================
   Scroll to Top Plugin
   =============================================== */

	$(window).scroll(function() {
		
		if( $(window).scrollTop() > 400 ) {
			
				$('#back-to-top').fadeIn(500);
			
			} else {
			
				$('#back-to-top').fadeOut(500);
		}
		
	});

	$('.back-to-top').click(function(){
		$.scrollTo(0,'slow');
		return false;
	});

/* ===============================================
   MASONRY
   =============================================== */

	function sueva_isotope() {

		if( $(window).width() < 992 ){
			
			if( $('.masonry').isotope() ) {
			
				$('.masonry').isotope('destroy');
			
			}
		
		} else {

			$('.masonry').imagesLoaded(function () {

				$('.masonry').isotope({
					itemSelector: '.masonry-item',
				});
				
			});
		
		}

	}

/* ===============================================
   PORTFOLIO
   =============================================== */

	$('.skills .views').click(function(){
	
		if($(this).next('ul').css('display') === 'none') {	
			$(this).addClass('active');
			$('.skills .views i').addClass('open');
		} else {	
			$(this).removeClass('active');
			$('.skills .views i').removeClass('open');
		}

		$(this).next('ul').stop(true,false).slideToggle('hight');

	});

	function sueva_portfolio() {

		$('.filter a').click(function(){
			
			var selector = $(this).attr('data-filter');
			$('.masonry').isotope({ filter: selector });
			$('.filter li').removeClass('active');
			$(this).parent('.filter li').addClass('active');
			return false;
			  
		});
	
	}
	
/* ===============================================
   PORTFOLIO
   =============================================== */
   
	$(document).ready(function(){
		sueva_isotope();
		sueva_portfolio();
	});

	$(window).resize(function(){
		sueva_isotope();
	});
	
/* ===============================================
   FLEX SLIDER
   =============================================== */

	$('.flexslider').flexslider({
		
		animation : $('.slider-flexslider').attr('data-effect'),
		direction : $('.slider-flexslider').attr('data-direction'),
		slideshowSpeed : $('.slider-flexslider').attr('data-slidespeed'),
		animationSpeed : $('.slider-flexslider').attr('data-animationspeed'),  
		prevText: '<i class="fa fa-angle-left"></i>',
		nextText: '<i class="fa fa-angle-right"></i>',
		controlNav: false,
		smoothHeight: true,
		keyboardNav: false,
		touch: true,

		after: function(){
			sueva_isotope();
		}
		
	});

/* ===============================================
   NIVO SLIDER
   =============================================== */

	$('.slider-wrapper').nivoSlider({

		effect : $('.slider-wrapper').attr('data-effect'),
		animSpeed : $('.slider-wrapper').attr('data-animSpeed'),
		pauseTime : $('.slider-wrapper').attr('data-pauseTime'),
		directionNav: true,
		controlNav: false,
		controlNavThumbs: false,
		manualAdvance: false,
		pauseOnHover: false,
		prevText: '<i class="fa fa-angle-left"></i>',
		nextText: '<i class="fa fa-angle-right"></i>',
		afterChange: function(){
			sueva_isotope();
		},
	
	});
	
/* ===============================================
   Prettyphoto
   =============================================== */

	if( $().prettyPhoto ) {
		sueva_lightbox();
	}

	function sueva_lightbox() {
	
		$("a[data-rel^='prettyPhoto']").prettyPhoto({
			animationSpeed:'fast',
			slideshow:5000,
			theme:'pp_default',
			show_title:false,
			overlay_gallery: false,
			social_tools: false
		});
	
	}

});          