jQuery.noConflict()(function($){

	"use strict";

/* ===============================================
   ColorPicker
   =============================================== */

	$('.sueva_color_picker').wpColorPicker();
	
/* ===============================================
   Choose page format
   =============================================== */

	function sueva_pageformat (page_type) { 
		
		var page_format = page_type;
		
		if ( page_format === "gallery" || page_format === "maps" || page_format === "video" ) {
			
			$(".pageformat").css({'display':'block'});
			$( "#tabs" ).tabs({ active: 2 });
	
		} else {
		
			$(".pageformat").css({'display':'none'});
			$( "#tabs" ).tabs({ active: 0 });
		
		}
		
		$(".postformat").css({'display':'none'});
		$( ".postformat#" + page_format).css({'display':'block'});
		
	}

	$('#wip_content_type').change(function() {

		var page_type = $(this).val();
		sueva_pageformat(page_type);
	
	});
	
	$('#wip_content_type').each(function() {
		
		var page_type = $(this).val();
		sueva_pageformat(page_type);
	
	});

/* ===============================================
   Choose post format
   =============================================== */

	$('#post-formats-select input[type="radio"]').click(function() { 	
		
		var post_type = $(this).val();
		sueva_postformat(post_type);
	
	}); 
	
	$('#post-formats-select input[type="radio"]:checked').each(function() {
		
		var post_type = $(this).val();
		sueva_postformat(post_type);
	
	}); 

	function sueva_postformat(post_type) { 

		var post_format = post_type;
		
		$(".postformat").css({'display':'none'});
		$(".postformat#" + post_format ).css({'display':'block'});
		
		if ( post_format === 'link' || post_format === 'quote' ) {
			
			$("#postdivrich").fadeTo( "slow", 0.40 );
			
			$('html, body').animate({
				scrollTop: $("#tabs.metaboxes").offset().top
			}, 1000);


		} else {
			
			$("#postdivrich").fadeTo( "slow", 1.00 );
			
			$('html, body').animate({
				scrollTop: $("html").offset().top
			}, 1000);

		}
			
		if ( post_format === '0' || post_format === 'aside' || post_format === 'status' || post_format === 'chat' || post_format === 'image' ) {
			
			$(".postformats").css({'display':'none'});
			$( "#tabs" ).tabs({ active: 0 });
			
		}
		
		else {
			
			$(".postformats").css({'display':'block'});
			$( "#tabs" ).tabs({ active: 2 });
			
		}
	
	}
	
/* ===============================================
   Icon List
   =============================================== */

	function sueva_iconlist (icon) { 
		
		$('#wip_service_icon').next('span').addClass('sueva_iconlist').html('<i class="fa '+icon+'" aria-hidden="true"></i>');
		
	}

	$('#wip_service_icon').change(function() {

		var icon = $(this).val();
		sueva_iconlist(icon);
	
	});
	
	$('#wip_service_icon').each(function() {
		
		var icon = $(this).val();
		sueva_iconlist(icon);
	
	});
	
/* ===============================================
   Message, after save options
   =============================================== */

	$('.sueva_message').delay(1000).fadeOut(1000);

/* ===============================================
   On off
   =============================================== */

	$('.on-off').live("change",function() {
		
		if ($(this).val() === "on" ) { 
			$('.hidden-element').css({'display':'none'});
		} 
		else { 
			$('.hidden-element').slideDown("slow");
		} 
	
	}); 

	$('input[type="checkbox"].on_off').live("change",function() { 
	
		if (!this.checked) { 
			$(this).parent('.iPhoneCheckContainer').parent('.sueva_inputbox').next('.hidden-element').slideUp("slow");
		} else { 
			$(this).parent('.iPhoneCheckContainer').parent('.sueva_inputbox').next('.hidden-element').slideDown("slow");
		} 
	
	}); 
	
/* ===============================================
   Background
   =============================================== */

	var url = $(".template_directory").val();
	
	$('.select-background').each(function() {
		
		var sel = $(this).val();
		$(this).next(".preview").css({'background-image': 'url(" ' + url + sel +'")'});
		
	}); 
	
	$('.select-background').change("click",function() { 
		
		var sel = $(this).val();
		$(this).next(".preview").css({'background-image': 'url(" ' + url + sel +'")'});
		
	}); 

/* ===============================================
   Upload media
   =============================================== */

	$('.sueva_inputbox input.upload_button').live("click", function(e) {

		var custom_uploader;
		var attachmentId = "";

		attachmentId = $(this).prev('.upload_attachment').attr("id");
		
		e.preventDefault();

		if (custom_uploader) {
			custom_uploader.open(this);
			return;
		}

		custom_uploader = wp.media.frames.file_frame = wp.media({
			title: 'Choose Image',
			button: {
				text: 'Choose Image'
			},
			multiple: false
		});

		custom_uploader.on('select', function() {
			
			var attachment = custom_uploader.state().get('selection').first().toJSON();
			$('input#' + attachmentId ).val(attachment.url);
		
		});

		custom_uploader.open();

});

/* ===============================================
   Option panel
   =============================================== */

	$('.sueva_mainbox').css({'display':'none'});
	$('.inactive').next('.sueva_mainbox').css({'display':'block'});

	$('.sueva_container h5.element').each(function(){
	
		if($(this).next('.sueva_mainbox').css('display') === 'none') {	
			$(this).next('input[name="element-opened"]').remove();	
		}
						
		else {	
			$(this).next().append('<input type="hidden" name="element-opened" value="'+$(this).attr('id')+'" />');
				
		}
						
	});

	$('.sueva_container h5.element').live("click", function(){
	
		if($(this).next('.sueva_mainbox').css('display') === 'none') {	
		
			$(this).addClass('inactive');
			$(this).children('img').addClass('inactive');
			$('input[name="element-opened"]').remove();	
			$(this).next().append('<input type="hidden" name="element-opened" value="'+$(this).attr('id')+'" />');
		
		} else {	
		
			$(this).removeClass('inactive');
			$(this).children('img').removeClass('inactive');
			$(this).next('input[name="element-opened"]').remove();	
				
		}
						
		$(this).next('.sueva_mainbox').stop(true,false).slideToggle('slow');
	
	});
		
/* ===============================================
   Gallery
   =============================================== */

	$('select#wip_slider_type').change(function() {
		
		var slider = $(this).val();
		
		if ( slider === "revsliders" ) {
			
			$('#sueva_revolution_slider').css({'display':'block'});
			$('#theme_sliders').css({'display':'none'});
			
		} else {
		
			$('#theme_sliders').css({'display':'block'});
			$('#sueva_revolution_slider').css({'display':'none'});

		}

	}); 
	
	$('select#wip_slider_type').each(function() {

		var slider = $(this).val();
		
		if ( slider === "revsliders" ) {
			
			$('#sueva_revolution_slider').css({'display':'block'});
			$('#theme_sliders').css({'display':'none'});
			
		} else {
		
			$('#theme_sliders').css({'display':'block'});
			$('#sueva_revolution_slider').css({'display':'none'});

		}

	}); 

/* ===============================================
   Gallery
   =============================================== */

	var counter = $('#elements').val();

	$('.button.delete').live("click", function(){ 
		var deletes = $(this).attr('rel');
		$('.sueva_container.' + deletes).remove();
	}); 

	$('#add_gallery').live("click", function(){ 
		counter++;
		$('.orders').append('<div class="sueva_container slide' + counter + '"><h5 class="element">Untitle slide</h5><div class="sueva_mainbox" style="display: none;"><div class="sueva_inputbox"><div class="input-left"><label for="sueva_skins">Title</label></div><div class="input-right"><input type="text" name="galleries[slide' + counter + '][title]" value=""></div><div class="clear"></div></div><div class="sueva_inputbox"><div class="input-left"><label for="sueva_skins">Image</label></div><div class="input-right"><input type="text" name="galleries[slide' + counter + '][url]" id="sueva_slide' + counter + '" class="upload_attachment" /><input type="button" name="upload_button" class="button upload_button" value="Upload" /></div><div class="clear"></div></div><div class="sueva_inputbox"><a class="button delete" rel="slide' + counter + '">Delete</a></div></div></div>' );

	}); 

/* ===============================================
   Tabs
   =============================================== */

	$( "#tabs.sueva_metaboxes" ).tabs();
	$( "#tabs.sueva_metaboxes .orders" ).sortable({ revert: true });

});