<?php 

if (!function_exists('sueva_css_custom')) {

	function sueva_css_custom() { 

		$css = '<style type="text/css">';

			/* =================== BODY STYLE =================== */
		
			if ( get_theme_mod('wip_full_image_background') == "on" )
				
				$css .=  "body { -webkit-background-size: cover;-moz-background-size: cover;-o-background-size: cover;background-size: cover;}"; 
	
			/* =================== HEADER STYLE =================== */
		
			if ( get_header_image() )
				
				$css .=  "#header.header-7 { background-image: url(".esc_html(get_header_image()).") }"; 
	
			/* =================== BEGIN PAGE WIDTH =================== */
			
		
			if (sueva_setting('wip_screen1')) {
			
				$css .= "@media (min-width:768px) {.container{width:".esc_html(sueva_setting('wip_screen1'))."px}}"; 
				$css .= "@media (min-width:768px) {.container.block{width:" . (esc_html(sueva_setting('wip_screen1'))-10) . "px}}"; 
				$css .= "@media (min-width:768px) {.container.grid-container{width:" . (esc_html(sueva_setting('wip_screen1'))-20) . "px}}"; 
			
			}
			
			if (sueva_setting('wip_screen2')) {
				
				$css .= "@media (min-width:992px) {.container{width:".esc_html(sueva_setting('wip_screen2'))."px}}"; 
				$css .= "@media (min-width:992px) {.container.block{width:" . (esc_html(sueva_setting('wip_screen2'))-10) . "px}}"; 
				$css .= "@media (min-width:768px) {.container.grid-container{width:" . (esc_html(sueva_setting('wip_screen2'))-20) . "px}}"; 
			
			}
			
			if (sueva_setting('wip_screen3'))  {
				
				$css .= "@media (min-width:1200px){.container{width:".esc_html(sueva_setting('wip_screen3'))."px}}"; 
				$css .= "@media (min-width:1200px){.container.block{width:" . (esc_html(sueva_setting('wip_screen3'))-10) . "px}}"; 
				$css .= "@media (min-width:768px) {.container.grid-container{width:" . (esc_html(sueva_setting('wip_screen3'))-20) . "px}}"; 
			
			}
			
			if (sueva_setting('wip_screen4'))  {
				
				$css .= "@media (min-width:1400px){.container{width:".esc_html(sueva_setting('wip_screen4'))."px}}"; 
				$css .= "@media (min-width:1400px){.container.block{width:" . (esc_html(sueva_setting('wip_screen4'))-10) . "px}}"; 
				$css .= "@media (min-width:768px) {.container.grid-container{width:" . (esc_html(sueva_setting('wip_screen4'))-20) . "px}}"; 
			
			}
			
			/* =================== END PAGE WIDTH =================== */

			/* =================== BEGIN LOGO STYLE =================== */
		
			if (sueva_setting('wip_logo_font')) 
				$css .= "#logo a.logo { font-family:'".esc_html(sueva_setting('wip_logo_font'))."',Verdana, Geneva, sans-serif; }"; 
		

			if (sueva_setting('wip_logo_font_size')) 
				$css .= "#logo a.logo { font-size:".esc_html(sueva_setting('wip_logo_font_size'))."; }"; 
			
			if (sueva_setting('wip_logo_description_font')) 
				$css .= "#logo a.logo span { font-family:'".esc_html(sueva_setting('wip_logo_description_font'))."',Verdana, Geneva, sans-serif; }"; 
		
			if (sueva_setting('wip_logo_description_font_size')) 
				$css .= "#logo a.logo span { font-size:".esc_html(sueva_setting('wip_logo_description_font_size'))."; }";
			

			if (sueva_setting('wip_logo_description_top_margin') ) 
				$css .= "#logo a.logo span { margin-top:".esc_html(sueva_setting('wip_logo_description_top_margin'))."; }"; 

			/* =================== END LOGO STYLE =================== */
			
			/* =================== BEGIN NAV STYLE =================== */
		
			if ( sueva_setting('wip_menu_font') ) 
				$css .= ".sueva-menu ul li a { font-family:'".esc_html(sueva_setting('wip_menu_font'))."',Verdana, Geneva, sans-serif; }"; 
		
			if ( sueva_setting('wip_menu_font_size') ) :
			
				$css .= ".sueva-menu ul li a { font-size:".esc_html(sueva_setting('wip_menu_font_size'))."; }"; 
				$css .= ".sueva-menu ul ul li a { font-size:" . ( str_replace("px", "", esc_html(sueva_setting('wip_menu_font_size'))) - 2 ) . "px;}"; 
			
			endif;
			
			if ( sueva_setting('wip_menu_font_weight') )
				$css .= ".sueva-menu ul li a { font-weight:" . esc_html(sueva_setting('wip_menu_font_weight')) . ";}"; 
		
			if ( sueva_setting('wip_menu_text_transform') )
				$css .= ".sueva-menu ul li a { text-transform:" . esc_html(sueva_setting('wip_menu_text_transform')) . ";}"; 
		
			/* =================== END NAV STYLE =================== */
			
			/* =================== BEGIN CONTENT STYLE =================== */
			
			if ( sueva_setting('wip_content_font') ) :
				
				$css .= '
					.post-article a, 
					.post-article p,
					.post-article .dropcap, 
					.post-article li, 
					.post-article address, 
					.post-article dd, 
					.post-article blockquote, 
					.post-article td, 
					.post-article th,
					.post-article span,
					.sidebar-area a, 
					.sidebar-area p, 
					.sidebar-area li, 
					.sidebar-area address, 
					.sidebar-area dd, 
					.sidebar-area blockquote, 
					.sidebar-area td, 
					.sidebar-area th,
					.sidebar-area span,
					.textwidget { font-family:' . esc_html(sueva_setting('wip_content_font')) . ',Verdana, Geneva, sans-serif;}';
				
			endif;
			
			if ( sueva_setting('wip_content_font_size') ) :
				
				$css .= '
					.post-article a, 
					.post-article p,
					.post-article .dropcap, 
					.post-article li, 
					.post-article address, 
					.post-article dd, 
					.post-article blockquote, 
					.post-article td, 
					.post-article th,
					.post-article span,
					.sidebar-area a, 
					.sidebar-area p, 
					.sidebar-area li, 
					.sidebar-area address, 
					.sidebar-area dd, 
					.sidebar-area blockquote, 
					.sidebar-area td, 
					.sidebar-area th,
					.sidebar-area span,
					.textwidget { font-size:' . esc_html(sueva_setting('wip_content_font_size')) . '}';
				
			endif;
			
			if ( sueva_setting('wip_text_font_color')) :
		
				$css .= '
					.post-article p, 
					.post-article li, 
					.post-article address, 
					.post-article dd, 
					.post-article blockquote, 
					.post-article td, 
					.post-article th,
					.post-article span,
					.sidebar-area a, 
					.sidebar-area p, 
					.sidebar-area li, 
					.sidebar-area address, 
					.sidebar-area dd, 
					.sidebar-area blockquote, 
					.sidebar-area td, 
					.sidebar-area th,
					.sidebar-area span,
					.textwidget, 
					.posted_in a, 
					.filterable-grid  h4.title a { color:' . esc_html(sueva_setting('wip_text_font_color')) . '; } ';
			
			endif;
			
			/* =================== END CONTENT STYLE =================== */
			
			/* =================== START TITLE STYLE =================== */
			
			if ( sueva_setting('wip_titles_font') ) :
			
				$css .= '
					h1.title, 
					h2.title, 
					h3.title, 
					h4.title, 
					h5.title, 
					h6.title, 
					h1.title a, 
					h2.title a, 
					h3.title a, 
					h4.title a, 
					h5.title a, 
					h6.title a, 
					h1, 
					h2, 
					h3, 
					h4, 
					h5, 
					h6, 
					.logged-in-as, 
					.title a, 
					.post-container .category, 
					.post-container .category h1, 
					.post-container .category h1 span, 
					.post-container .portfolio, 
					.post-container .portfolio h1, 
					.post-container .search, 
					.post-container .search h1 { font-family:"' . esc_html(sueva_setting('wip_titles_font')) . '",Verdana, Geneva, sans-serif; } ';
			
			endif;

			if ( sueva_setting('wip_titles_font_weight') ) :
			
				$css .= '
					h1.title, 
					h2.title, 
					h3.title, 
					h4.title, 
					h5.title, 
					h6.title, 
					h1.title a, 
					h2.title a, 
					h3.title a, 
					h4.title a, 
					h5.title a, 
					h6.title a, 
					h1, 
					h2, 
					h3, 
					h4, 
					h5, 
					h6, 
					.logged-in-as, 
					.title a, 
					.post-container .category, 
					.post-container .category h1, 
					.post-container .category h1 span, 
					.post-container .portfolio, 
					.post-container .portfolio h1, 
					.post-container .search, 
					.post-container .search h1 { font-weight:' . esc_html(sueva_setting('wip_titles_font_weight')) . ';} ';
			
			endif;
			
			if ( sueva_setting('wip_titles_text_transform') ) :
			
				$css .= '
					h1.title, 
					h2.title, 
					h3.title, 
					h4.title, 
					h5.title, 
					h6.title, 
					h1.title a, 
					h2.title a, 
					h3.title a, 
					h4.title a, 
					h5.title a, 
					h6.title a, 
					h1, 
					h2, 
					h3, 
					h4, 
					h5, 
					h6, 
					.logged-in-as, 
					.title a, 
					.post-container .category, 
					.post-container .category h1, 
					.post-container .category h1 span, 
					.post-container .portfolio, 
					.post-container .portfolio h1, 
					.post-container .search, 
					.post-container .search h1 { text-transform:' . esc_html(sueva_setting('wip_titles_text_transform')) . ';} ';
			
			endif;

			if ( sueva_setting('wip_h1_font_size') ) :
			
				$css .=  "
					h1, 
					h1.title, 
					h1.title a { font-size:" . esc_html(sueva_setting('wip_h1_font_size')) . "; }"; 
			
			endif;
			
			if ( sueva_setting('wip_h2_font_size') ) :
			
				$css .=  "
					h2, 
					h2.title, 
					h2.title a { font-size:" . esc_html(sueva_setting('wip_h2_font_size')) . "; }"; 
			
			endif;
			
			if ( sueva_setting('wip_h3_font_size') ) :
			
				$css .=  "
					h3, 
					h3.title, 
					h3.title a { font-size:" . esc_html(sueva_setting('wip_h3_font_size')) . "; }"; 
			
			endif;
			
			if ( sueva_setting('wip_h4_font_size') ) :
			
				$css .=  "
					h4, 
					h4.title, 
					h4.title a { font-size:" . esc_html(sueva_setting('wip_h4_font_size')) . "; }"; 
			
			endif;
			
			if ( sueva_setting('wip_h5_font_size') ) :
			
				$css .=  "
					h5, 
					h5.title, 
					h5.title a { font-size:" . esc_html(sueva_setting('wip_h5_font_size')) . "; }"; 
			
			endif;
			
			if ( sueva_setting('wip_h6_font_size') ) :
			
				$css .=  "
					h6, 
					h6.title, 
					h6.title a { font-size:" . esc_html(sueva_setting('wip_h6_font_size')) . "; }"; 
			
			endif;
			
			/* =================== END TITLE STYLE =================== */

			/* =================== START LINK STYLE =================== */
			
			if ( sueva_setting('wip_link_color') ):
		
				$css .= '::-moz-selection { background-color: '.esc_html(sueva_setting('wip_link_color')).'; } ';
				$css .= '::selection { background-color: '.esc_html(sueva_setting('wip_link_color')).'; } ';
		
				$css .= '
					.button.sneak,
					.contact-form input.sneak[type=submit],
					body.sneak_button .wpcf7-form input[type=submit],
					body.sneak_button .contact-form.newsletter-form input[type=submit],
					body.sneak_button #searchform input[type=submit],
					.post-article span.button.sneak { color: '.esc_html(sueva_setting('wip_link_color')).'} ';

				$css .= '
					.post-article blockquote,
					#footer , 
					#footer_widgets .row { border-color: '.esc_html(sueva_setting('wip_link_color')).'} ';

				$css .= '
					span.button,
					.wpcf7-form input[type=submit] ,
					.contact-form input[type=submit] ,
					.searchform input[type=submit] ,
					.comment-form input[type=submit],
					#sidebar .tagcloud a, 
					#footer_widgets .tagcloud a { background-color: '.esc_html(sueva_setting('wip_link_color')).'} ';

				if ( sueva_is_woocommerce_active() ) :

					$css .= '
						body.sneak_button.woocommerce #respond input#submit.alt, 
						body.sneak_button.woocommerce a.button.alt, 
						body.sneak_button.woocommerce button.button.alt, 
						body.sneak_button.woocommerce input.button.alt,
						body.sneak_button.woocommerce a.button,
						body.sneak_button.woocommerce #respond input#submit, 
						body.sneak_button.woocommerce button.button, 
						body.sneak_button .woocommerce input.button,
						body.sneak_button .woocommerce input.button#place_order,
						body.sneak_button .woocommerce .wc-proceed-to-checkout input { color: '.esc_html(sueva_setting('wip_link_color')).'} ';

					$css .= '
						body.sneak_button.woocommerce #respond input#submit.alt, 
						body.sneak_button.woocommerce a.button.alt, 
						body.sneak_button.woocommerce button.button.alt, 
						body.sneak_button.woocommerce input.button.alt,
						body.sneak_button.woocommerce a.button,
						body.sneak_button.woocommerce #respond input#submit, 
						body.sneak_button.woocommerce button.button, 
						body.sneak_button .woocommerce input.button,
						body.sneak_button .woocommerce input.button#place_order,
						body.sneak_button .woocommerce .wc-proceed-to-checkout input,
						body.minimal_layout .widget_shopping_cart li, 
						body.minimal_layout .product_list_widget li { border-color: '.esc_html(sueva_setting('wip_link_color')).'} ';

					$css .= '
						.woocommerce-product-search input[type=submit],
						.woocommerce #respond input#submit.alt, 
						.woocommerce a.button.alt, 
						.woocommerce button.button.alt, 
						.woocommerce input.button.alt,
						.woocommerce a.button,
						.woocommerce #respond input#submit, 
						.woocommerce button.button, 
						.woocommerce input.button,
						.woocommerce input.button#place_order,
						.woocommerce .wc-proceed-to-checkout input,
						.woocommerce .widget_price_filter .ui-slider .ui-slider-range,
						.woocommerce .widget_price_filter .ui-slider .ui-slider-handle,
						.header-cart a span { background-color: '.esc_html(sueva_setting('wip_link_color')).'} ';

				endif;

			endif;	

			if ( sueva_setting('wip_post_container_color') ):
		
				$css .= '
					.post-container .quote,
					.post-container .link a,
					.post-article.category,
					.post-container .category,
					.post-container .category h1,
					.post-container .category h1 span, 
					.post-container .portfolio,
					.post-container .portfolio h1,
					.post-container .search,
					.post-container .search h1 { background-color: '.esc_html(sueva_setting('wip_post_container_color')).'} ';
				
			endif;	

			if ( sueva_setting('wip_post_container_textcolor') ):
		
				$css .= '
					.post-container .quote,
					.post-container .quote i,
					.post-container .link a,
					.post-container .link a i,
					.post-article.category,
					.post-container .category,
					.post-container .category h1,
					.post-container .category h1 span, 
					.post-container .portfolio,
					.post-container .portfolio h1,
					.post-container .search,
					.post-container .search h1 { color: '.esc_html(sueva_setting('wip_post_container_textcolor')).'} ';
				
			endif;	

			if ( sueva_setting('wip_link_color_hover') ):
		
				$css .= '
					.filterable-grid h4.title a:hover,
					.tabs.minimal li a:hover, 
					.tabs.minimal li.ui-tabs-active a, 
					.tabs.minimal li.ui-state-active a, 
					.toggle_container.minimal h5.element:hover,
					.toggle_container.minimal h5.inactive,
					.toggle_container.minimal h5.inactive:hover, 
					a:hover ,
					a:active ,
					a:focus,
					.slick-sueva-slideshow .slider-overlay .entry-date a:hover, 
					.slick-sueva-slideshow .slider-overlay .entry-category a:hover, 
					.slick-sueva-slideshow .slider-overlay .title a:hover,
					.post-article a span.nobutton:hover,
					nav#widgetmenu li a:hover,
					nav#widgetmenu li:hover > a ,
					nav#widgetmenu li.current-menu-item > a, 
					nav#widgetmenu li.current-menu-ancestor > a, 
					.post-article a:hover,
					.post-article a:active,
					.post-article a:focus ,
					.sidebar-area a:hover,
					.sidebar-area a:active,
					.sidebar-area a:focus ,
					#footer a:hover,
					#footer a:active,
					#footer a:focus ,
					#footer_widgets a:hover,
					#footer_widgets a:active,
					#footer_widgets a:focus,
					.filterable-grid  h4.title a:hover,
					#footer_widgets ul.widget-category li:hover, 
					#footer_widgets ul.widget-category li a:hover, 
					#logo a.logo:hover, 
					#sidebar-wrapper #scroll-sidebar a:hover,
					#header a:hover,
					.sueva-menu ul li a:hover,
					.sueva-menu li:hover > a,
					.sueva-menu ul li.current-menu-item > a, 
					.sueva-menu ul li.current_page_item > a, 
					.sueva-menu ul li.current-menu-parent > a, 
					.sueva-menu ul li.current_page_ancestor > a, 
					.sueva-menu ul li.current-menu-ancestor > a,
					.sueva-menu ul ul li a:hover, 
					.sueva-menu ul ul li.current-menu-item > a,
					.sueva-menu ul ul li.current_page_item > a, 
					.sueva-menu ul ul li.current_page_ancestor > a, 
					.sueva-menu ul ul li.current_page_ancestor > a, 
					.sueva-menu ul ul li.current-menu-ancestor > a { color: '.esc_html(sueva_setting('wip_link_color_hover')).'} ';
		
				$css .= '
					.sueva-mobile-menu ul li a:hover,
					.sueva-mobile-menu li:hover > a,
					.sueva-mobile-menu ul li a:hover,
					.sueva-mobile-menu li:hover > a,
					.sueva-mobile-menu ul li.current-menu-item > a, 
					.sueva-mobile-menu ul li.current_page_item > a, 
					.sueva-mobile-menu ul li.current-menu-parent > a, 
					.sueva-mobile-menu ul li.current_page_ancestor > a, 
					.sueva-mobile-menu ul li.current-menu-ancestor > a { color: '.esc_html(sueva_setting('wip_link_color_hover')).' !important; } ';

				$css .= '
					.auth-cover,
					.header-3 .sueva-menu ul li a:hover,
					.header-3 .sueva-menu li:hover > a,
					.header-3 .sueva-menu ul li.current-menu-item > a, 
					.header-3 .sueva-menu ul li.current_page_item > a, 
					.header-3 .sueva-menu ul li.current-menu-parent > a, 
					.header-3 .sueva-menu ul li.current_page_ancestor > a, 
					.header-3 .sueva-menu ul li.current-menu-ancestor > a { background-color: '.esc_html(sueva_setting('wip_link_color_hover')).'} ';

				$css .= '
					.flexslider:hover .flex-next:hover, 
					.flexslider:hover .flex-prev:hover ,
					.flexslider:hover .flex-next:hover:focus, 
					.flexslider:hover .flex-prev:hover:focus ,
					.theme-default .nivo-directionNav a:hover ,
					.slick-sueva-slideshow .slick-arrow:hover ,
					.slick-sueva-slideshow .slick-arrow:active ,
					.slick-sueva-slideshow .slick-arrow:focus ,
					span.button:hover ,
					.button.sneak:hover,
					.contact-form input.sneak[type=submit]:hover,
					body.sneak_button .wpcf7-form input[type=submit]:hover,
					body.sneak_button .contact-form.newsletter-form input[type=submit]:hover,
					body.sneak_button #searchform input[type=submit]:hover ,
					#back-to-top i.open,
					#back-to-top i:hover ,
					.post-container .link a:hover  , 
					.post-container .quote:hover , 
					.skills .views.active,
					.skills .views:hover ,
					.skills .filter li:hover,
					.skills .filter li.active,
					.sueva-portfolio-widget .skills .filter li:hover,
					.sueva-portfolio-widget .skills .filter li.active,
					.wpcf7-form input[type=submit]:hover ,
					.contact-form input[type=submit]:hover ,
					.searchform input[type=submit]:hover ,
					.comment-form input[type=submit]:hover ,
					#sidebar .tagcloud a:hover, 
					#footer_widgets .tagcloud a:hover , 
					.wp-pagenavi a:hover, 
					.sueva-pagination span,
					.sueva-pagination a span:hover,
					.wp-pagenavi span.current,
					.post-article .wp-pagenavi a:hover ,
					.sueva-menu ul ul li a:hover, 
					.sueva-menu ul ul li.current-menu-item > a,
					.sueva-menu ul ul li.current_page_item > a, 
					.sueva-menu ul ul li.current_page_ancestor > a, 
					.sueva-menu ul ul li.current_page_ancestor > a, 
					.sueva-menu ul ul li.current-menu-ancestor > a { background-color: '.esc_html(sueva_setting('wip_link_color_hover')) . '; } ';

				$css .= '
					.button.sneak:hover,
					.contact-form input.sneak[type=submit]:hover,
					body.sneak_button .wpcf7-form input[type=submit]:hover,
					body.sneak_button .contact-form.newsletter-form input[type=submit]:hover,
					body.sneak_button #searchform input[type=submit]:hover ,
					#back-to-top i.open,
					#back-to-top i:hover ,
					.sueva-portfolio-widget .skills .filter li:hover,
					.sueva-portfolio-widget .skills .filter li.active ,
					.sueva-menu ul ul li a:hover, 
					.sueva-menu ul ul li.current-menu-item > a,
					.sueva-menu ul ul li.current_page_item > a, 
					.sueva-menu ul ul li.current_page_ancestor > a, 
					.sueva-menu ul ul li.current_page_ancestor > a, 
					.sueva-menu ul ul li.current-menu-ancestor > a,
					.sueva-menu ul ul:before,
					.sueva-menu ul ul { border-color: '.esc_html(sueva_setting('wip_link_color_hover')) . '; } ';
					
				if ( sueva_is_woocommerce_active() ) :
			
					$css .= '
						.woocommerce-account .woocommerce-MyAccount-navigation ul li.is-active,
						.woocommerce-account .woocommerce-MyAccount-navigation ul li a:hover,
						.woocommerce-account .woocommerce-MyAccount-navigation ul li.is-active a,
						.woocommerce .star-rating:before,
						.star-rating span,
						.woocommerce p.stars,
						.woocommerce p.stars a,
						.woocommerce p.stars:hover a,
						.woocommerce div.product .woocommerce-tabs ul.tabs li.active ,
						.woocommerce div.product .woocommerce-tabs ul.tabs li a:hover,
						body.archive.woocommerce .product-category h3:hover,
						body.archive.woocommerce .product-category h3:active,
						body.archive.woocommerce .product-category h3:focus { color: '.esc_html(sueva_setting('wip_link_color_hover')).'} ';
			
					$css .= '
						.woocommerce-product-search input[type=submit]:hover,
						.woocommerce #respond input#submit.alt:hover, 
						.woocommerce a.button.alt:hover, 
						.woocommerce button.button.alt:hover, 
						.woocommerce input.button.alt:hover,
						.woocommerce a.button:hover,
						.woocommerce a.add_to_cart_button:hover,
						.woocommerce .woocommerce-message a.button:hover ,
						.woocommerce #respond input#submit:hover, 
						.woocommerce a.button:hover, 
						.woocommerce button.button:hover, 
						.woocommerce input.button:hover,
						.woocommerce .wc-proceed-to-checkout input:hover ,
						body.sneak_button.woocommerce #respond input#submit.alt:hover, 
						body.sneak_button.woocommerce a.button.alt:hover, 
						body.sneak_button.woocommerce button.button.alt:hover, 
						body.sneak_button.woocommerce input.button.alt:hover,
						body.sneak_button.woocommerce a.button:hover,
						body.sneak_button.woocommerce #respond input#submit:hover, 
						body.sneak_button.woocommerce button.button:hover, 
						body.sneak_button .woocommerce input.button:hover,
						body.sneak_button .woocommerce input.button#place_order:hover,
						body.sneak_button .woocommerce .wc-proceed-to-checkout input:hover ,
						.woocommerce nav.woocommerce-pagination ul li span.current,
						.woocommerce nav.woocommerce-pagination ul li a:focus, 
						.woocommerce nav.woocommerce-pagination ul li a:hover , 
						.header-cart a span,
						body.minimal_layout .header-cart-widget , 
						body.minimal_layout .header-3 .sueva-menu ul ul li a , 
						body.minimal_layout .header-3 .header-cart-widget { background-color: '.esc_html(sueva_setting('wip_link_color_hover')) . '; } ';
	
					$css .= '
						body.sneak_button.woocommerce #respond input#submit.alt:hover, 
						body.sneak_button.woocommerce a.button.alt:hover, 
						body.sneak_button.woocommerce button.button.alt:hover, 
						body.sneak_button.woocommerce input.button.alt:hover,
						body.sneak_button.woocommerce a.button:hover,
						body.sneak_button.woocommerce #respond input#submit:hover, 
						body.sneak_button.woocommerce button.button:hover, 
						body.sneak_button .woocommerce input.button:hover,
						body.sneak_button .woocommerce input.button#place_order:hover,
						body.sneak_button .woocommerce .wc-proceed-to-checkout input:hover ,
						.header-cart-widget:before ,
						.header-cart-widget { border-color: '.esc_html(sueva_setting('wip_link_color_hover')) . '; } ';
	
				endif;
		
			endif;	
				
			/* =================== END LINK STYLE =================== */
		
			if ( sueva_setting('wip_custom_css_code') )
				$css .= esc_html(sueva_setting('wip_custom_css_code')); 
		
		$css .= '</style>';
		
		echo str_replace( array("\r\n", "\r", "\n", "\t", '  ', '    ', '    '), '', $css);
		
	}

	add_action('wp_head', 'sueva_css_custom');

}

?>