<?php

if (!function_exists('sueva_loadwidgets')) {

	function sueva_loadwidgets() {

		if ( !sueva_setting('wip_sidebar_layout') || sueva_setting('wip_sidebar_layout')  == "default" ) :
		
			$side_before = '<div id="%1$s" class="widget-box %2$s">';
			$side_after = '</div>';
		
		else:
	
			$side_before = '<div id="%1$s" class="post-article  %2$s">';
			$side_after = '</div>';
		
		endif;

/*-----------------------------------------------------------------------------------*/
/* 		LOAD ALL SIDEBAR AREAS
/*-----------------------------------------------------------------------------------*/    

		register_sidebar(array(
		
			'name' => esc_html__('Side Sidebar','sueva'),
			'id'   => 'side-sidebar-area',
			'description'   => esc_html__('This sidebar will be shown after the content.', 'sueva'),
			'before_widget' => $side_before,
			'after_widget'  => $side_after,
			'before_title'  => '<h4 class="title">',
			'after_title'   => '</h4>'
		
		));

		register_sidebar(array(
		
			'name' => esc_html__('One Page','sueva'),
			'id'   => 'onepage-sidebar-area',
			'description'   => esc_html__('This sidebar area is recommended to manage the one page section.', 'sueva'),
			'before_widget' => '<div id="%1$s" class="%2$s onepage-widget">',
			'after_widget'  => '</div>',
			'before_title'  => '<h4 class="title">',
			'after_title'   => '</h4>'
		
		));

		register_sidebar(array(
		
			'name' => esc_html__('Home Side Sidebar','sueva'),
			'id'   => 'home-sidebar-area',
			'description'   => esc_html__('This sidebar will be shown at the side of your homepage.', 'sueva'),
			'before_widget' => $side_before,
			'after_widget'  => $side_after,
			'before_title'  => '<h4 class="title">',
			'after_title'   => '</h4>'
		
		));

		register_sidebar(array(
		
			'name' => esc_html__('Top Sidebar','sueva'),
			'id'   => 'top-sidebar-area',
			'description'   => esc_html__('This sidebar will be shown at the top of your content (Recommended for Revolution Slider).', 'sueva'),
			'before_widget' => '<div id="%1$s" class="post-container %2$s"><article class="post-article">',
			'after_widget'  => '</article></div>',
			'before_title'  => '<h4 class="title">',
			'after_title'   => '</h4>'
		
		));

		register_sidebar(array(
		
			'name' => esc_html__('Home Top Sidebar','sueva'),
			'id'   => 'home-top-sidebar-area',
			'description'   => esc_html__('This sidebar will be shown at the top of your homepage (Recommended for Revolution Slider).', 'sueva'),
			'before_widget' => '<div id="%1$s" class="post-container %2$s"><article class="post-article">',
			'after_widget'  => '</article></div>',
			'before_title'  => '<h4 class="title">',
			'after_title'   => '</h4>'
		
		));
		
		register_sidebar(array(

			'name' => esc_html__('Header Sidebar','sueva'),
			'id'   => 'header-sidebar-area',
			'description'   => esc_html__('This sidebar will be shown before the content.', 'sueva'),
			'before_widget' => '<div id="%1$s" class="post-container %2$s"><article class="post-article">',
			'after_widget'  => '</article></div>',
			'before_title'  => '<h4 class="title">',
			'after_title'   => '</h4>'
		
		));

		register_sidebar(array(
		
			'name' => esc_html__('Home Header Sidebar','sueva'),
			'id'   => 'home-header-sidebar-area',
			'description'   => esc_html__('This sidebar will be shown before the content of your homepage.', 'sueva'),
			'before_widget' => '<div id="%1$s" class="post-container %2$s"><article class="post-article">',
			'after_widget'  => '</article></div>',
			'before_title'  => '<h4 class="title">',
			'after_title'   => '</h4>'
		
		));

		register_sidebar(array(

			'name' => esc_html__('Full Sidebar','sueva'),
			'id'   => 'full-sidebar-area',
			'description'   => esc_html__('This sidebar will be shown at the bottom of your content, with a full width layout (Recommended for Instagram widget)', 'sueva'),
			'before_widget' => '<div id="%1$s" class="post-container %2$s"><article class="post-article">',
			'after_widget'  => '</article></div>',
			'before_title'  => '<h4 class="title">',
			'after_title'   => '</h4>'
		
		));
	
		register_sidebar(array(

			'name' => esc_html__('Bottom Sidebar','sueva'),
			'id'   => 'bottom-sidebar-area',
			'description'   => esc_html__('This sidebar will be shown at the end of your content.', 'sueva'),
			'before_widget' => '<div id="%1$s" class="col-md-3 %2$s"><div class="widget-box">',
			'after_widget'  => '</div></div>',
			'before_title'  => '<h4 class="title">',
			'after_title'   => '</h4>'
		
		));
		
		$sueva_sidebars = get_option(sueva_themename());
		 
		if((isset($sueva_sidebars["wip_sidebars"]))) :
			 
			foreach ($sueva_sidebars["wip_sidebars"] as $sidebar ) {
			
			$sidebar_type = explode("_", $sidebar);

			if ( $sidebar_type[0] == "onepage" ) {

				 $before_widget = '<div id="%1$s" class="%2$s onepage-widget">';
				 $after_widget = '</div>';
				 $before_title = '<h4 class="title">';
				 $after_title = '</h4>';
			 
			} else if ( $sidebar_type[0] == "top" ) {

				 $before_widget = '<div id="%1$s" class="post-container %2$s"><article class="post-article">';
				 $after_widget = '</article></div>';
				 $before_title = '<h4 class="title">';
				 $after_title = '</h4>';
			 
			} else if ( $sidebar_type[0] == "header" ) {

				 $before_widget = '<div id="%1$s" class="post-container %2$s"><article class="post-article">';
				 $after_widget = '</article></div>';
				 $before_title = '<h4 class="title">';
				 $after_title = '</h4>';
		
			} else if ( $sidebar_type[0] == "full" ) {

				 $before_widget = '<div id="%1$s" class="post-container %2$s"><article class="post-article">';
				 $after_widget = '</article></div>';
				 $before_title = '<h4 class="title">';
				 $after_title = '</h4>';
		
			} else if ( $sidebar_type[0] == "bottom" ) {

				 $before_widget = '<div id="%1$s" class="col-md-3 %2$s"><div class="widget-box">';
				 $after_widget = '</div></div>';
				 $before_title = '<h4 class="title">';
				 $after_title = '</h4>';
		
			} else if ( $sidebar_type[0] == "side" ) {

				 $before_widget = $side_before;
				 $after_widget = $side_after;
				 $before_title = '<h4 class="title">';
				 $after_title = '</h4>';
		
			} 
				 
			register_sidebar(array(
			
				'name' => $sidebar_type[1],
				'id'   => $sidebar_type[0]."_".str_replace(" ","",strtolower($sidebar_type[1])),
				'description'   => $sidebar_type[0]." position : ".str_replace(" ","",strtolower($sidebar_type[1])),
				'before_widget' => $before_widget,
				'after_widget'  => $after_widget,
				'before_title'  => $before_title,
				'after_title'   => $after_title,
				));
			
			}
			 
		endif;

/*-----------------------------------------------------------------------------------*/
/* 		REGISTER CUSTOM WIDGETS
/*-----------------------------------------------------------------------------------*/    

		register_widget( 'wip_category_widget' );
		register_widget( 'wip_googlemaps_widget' );
		register_widget( 'wip_menu_widget' );
		register_widget( 'wip_page_widget' );
		register_widget( 'wip_search_widget' );
		register_widget( 'wip_soundcloud_widget' );
		register_widget( 'wip_newsletter_widget' );
		register_widget( 'wip_contact_info_widget' );
		register_widget( 'wip_banner_widget' );

	}

	add_action( 'widgets_init', 'sueva_loadwidgets' );

}

?>