<?php


/*-----------------------------------------------------------------------------------*/
/* Woocommerce Hooks */
/*-----------------------------------------------------------------------------------*/ 
	
remove_action( 'woocommerce_cart_collaterals', 'woocommerce_cross_sell_display');
remove_action( 'woocommerce_before_shop_loop_item_title', 'woocommerce_template_loop_product_thumbnail', 10 );

remove_action( 'woocommerce_before_shop_loop_item', 'woocommerce_template_loop_product_link_open', 10 );
remove_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_product_link_close', 5 );


if ( sueva_setting ('wip_woocommerce_cross_sell_cart') == "on" ) :
	
	add_action( 'woocommerce_after_cart', 'woocommerce_cross_sell_display' );
	
endif;
	
if ( sueva_setting ('wip_woocommerce_related_products') == "off" ) :
	
	remove_action( 'woocommerce_after_single_product_summary', 'woocommerce_output_related_products', 20 );
	
endif;

if ( sueva_setting ('wip_woocommerce_upsell_products') == "off" ) :
	
	remove_action( 'woocommerce_after_single_product_summary', 'woocommerce_upsell_display', 15);
	
endif;

/*-----------------------------------------------------------------------------------*/
/* Woocommerce remove breadcrumbs */
/*-----------------------------------------------------------------------------------*/ 

if ( ! function_exists( 'sueva_remove_breadcrumbs' ) ) {

	function sueva_remove_breadcrumbs() {
    	
		remove_action( 'woocommerce_before_main_content', 'woocommerce_breadcrumb', 20, 0 );
	
	}

	add_action( 'init', 'sueva_remove_breadcrumbs' );

}

/*-----------------------------------------------------------------------------------*/
/* Woocommerce header cart */
/*-----------------------------------------------------------------------------------*/ 

if ( ! function_exists( 'sueva_header_cart' ) ) {

	function sueva_header_cart() {

		if ( sueva_is_woocommerce_active() && ( !sueva_setting('wip_woocommerce_header_cart') || sueva_setting('wip_woocommerce_header_cart') == "on" ) ) :
		
	?>

            <div class="header-cart">
            
                <a class="cart-contents" href="<?php echo esc_url(WC()->cart->get_cart_url()); ?>" title="<?php esc_attr_e( 'View your shopping cart','sueva' ); ?>">
                    <i class="fa fa-shopping-cart"></i>
					<span class="cart-count"><?php echo sprintf ( _n( '%d', '%d', WC()->cart->cart_contents_count, 'sueva' ), WC()->cart->cart_contents_count ); ?></span>  
                </a>
                            
                <div class="header-cart-widget">
                
                    <?php the_widget( 'WC_Widget_Cart', 'title=' ); ?>
                
                </div>
                
            </div>
    
	<?php

		endif;

	}
	
}

if ( ! function_exists( 'sueva_cart_link_fragment' ) ) {

	function sueva_cart_link_fragment( $fragments ) {
	
		ob_start();

?>
		<a class="cart-contents" href="<?php echo esc_url(WC()->cart->get_cart_url()); ?>" title="<?php esc_attr_e( 'View your shopping cart','sueva' ); ?>">
            <i class="fa fa-shopping-cart"></i>
			<span class="cart-count"><?php echo sprintf ( _n( '%d', '%d', WC()->cart->cart_contents_count, 'sueva' ), WC()->cart->cart_contents_count ); ?></span>  
		</a>
        
<?php

		$fragments['a.cart-contents'] = ob_get_clean();
		
		return $fragments;
	
	}
	
	add_filter( 'woocommerce_add_to_cart_fragments', 'sueva_cart_link_fragment' );

}

/*-----------------------------------------------------------------------------------*/
/* Woocommerce before content */
/*-----------------------------------------------------------------------------------*/ 

if (!function_exists('sueva_woocommerce_before_main_content')) {

	function sueva_woocommerce_before_main_content() { 
	
		if ( is_product() ) {
			
			$classes = "product-wrapper" ;
	
		} else {
	
			$classes = "product-wrapper products-list" ;
	
		}

		if ( ( is_shop() || is_product() ) && ( sueva_postmeta('wip_top_sidebar') && sueva_postmeta('wip_top_sidebar') <> "none") ):
		
			do_action('sueva_top_sidebar', esc_attr(sueva_postmeta('wip_top_sidebar')));
		
		else:
		
			do_action('sueva_top_sidebar', esc_attr(sueva_taxmeta('wip_top_sidebar'))); 
		
		endif;
		
		if ( ( is_shop() || is_product() ) && ( sueva_postmeta('wip_header_sidebar') && sueva_postmeta('wip_header_sidebar') <> "none") ):
		
			do_action('sueva_header_sidebar', esc_attr(sueva_postmeta('wip_header_sidebar')));
		
		else:
		
			do_action('sueva_header_sidebar', esc_attr(sueva_taxmeta('wip_header_sidebar'))); 
		
		endif;
		
?>
	
	<div class="<?php echo sueva_content_class('container'); ?>">
	
		<div class="<?php echo sueva_content_class('row'); ?>">
		
			<div class="<?php echo sueva_template('span') . " " . sueva_template('sidebar') . " " . $classes; ?>" >
	
<?php
	
	}
	
	add_action('woocommerce_before_main_content', 'sueva_woocommerce_before_main_content', 10);

}

/*-----------------------------------------------------------------------------------*/
/* Woocommerce after content */
/*-----------------------------------------------------------------------------------*/ 

if (!function_exists('sueva_woocommerce_after_main_content')) {
	
	function sueva_woocommerce_after_main_content() { ?>
	
			</div>
			
			<?php 
			
				if ( sueva_template('span') == "col-md-8" ) :

					if ( is_shop() || is_product() ) :

						do_action('sueva_side_sidebar', esc_attr(sueva_postmeta('wip_sidebar', 'side-sidebar-area')) );
					
					else:

						do_action('sueva_side_sidebar', esc_attr(sueva_taxmeta('wip_sidebar'))); 

					endif;
					
				endif;
				
			?>
	
		</div>
		
	</div>

<?php

		if ( ( is_shop() || is_product() ) && ( sueva_postmeta('wip_full_sidebar') && sueva_postmeta('wip_full_sidebar') <> "none") ):
		
			do_action('sueva_full_sidebar', esc_attr(sueva_postmeta('wip_full_sidebar')));
		
		else:
		
			do_action('sueva_full_sidebar', esc_attr(sueva_taxmeta('wip_full_sidebar'))); 
		
		endif;

	}
	
	add_action('woocommerce_after_main_content', 'sueva_woocommerce_after_main_content', 10);

}

?>