<?php

if( !class_exists( 'sueva_metaboxes' ) ) {

	class sueva_metaboxes {
	   
		public $posttype;
		public $metaboxes_fields;
	   
		public function __construct( $posttype, $fields = array() ) {
	
			$this->posttype = $posttype;
			$this->metaboxes_fields = $fields;
			
			add_action( 'add_meta_boxes', array( &$this, 'new_metaboxes' ) ); 
			add_action( 'save_post', array( &$this, 'sueva_metaboxes_save' ) );
		}
	
		public function new_metaboxes() {
	
			$posttype = $this->posttype ;
			add_meta_box( $posttype, ucfirst($posttype).' settings', array( &$this, 'metaboxes_panel' ), $posttype, 'normal', 'high' );
		
		}
		
		public function metaboxes_panel() {
	
			$metaboxes_fields = $this->metaboxes_fields ;
	
			global $post, $post_id;
			
			foreach ($metaboxes_fields as $value) {
			switch ( $value['type'] ) { 
		
			case 'navigation': ?>
			
				<div id="tabs" class="sueva_metaboxes">
						
					<ul>
			
						<?php 
						
							foreach ($value['item'] as $option => $name ) { 
								echo "<li class='".$option."'><a href='#".str_replace(" ", "", $option)."'>".$name."</a></li>"; 
							} 
						?>
                        
                        <li class="clear"></li>
                        
					</ul>
					   
			<?php	
					
			break;
		
			case 'begintab': ?>

				<div id="<?php echo esc_attr($value['tab']);?>">
		
			<?php	
					
			break;
		
			case 'endtab': ?>
			
				</div>
		
			<?php	
					
			break;
			
			}
			
			foreach ($value as $field) {
		
			if (isset($field['type'])) : 
		
				switch ( $field['type'] ) { 
		
					case 'start':  ?>
					<div class="postformat" id="<?php echo esc_attr($field['id']); ?>">
				
					<?php break;
					
					case 'end':  ?>
					</div>
					
					<?php break;
					
					case "on-off": ?>
				
					<div class="sueva_inputbox">
		
						<div class="input-left">
		
							<label for="<?php echo esc_attr($field['id']); ?>"><?php echo esc_attr($field['name']); ?></label>
							<p><?php echo esc_attr($field['desc']); ?></p>
                            
						</div>
						
                        <div class="input-right">
		
								<div class="bool-slider <?php if ( sueva_postmeta($field['id']) != "") { echo stripslashes( sueva_postmeta($field['id'])); } else { echo esc_attr($field['std']); } ?>">
									
									<div class="inset">
										<div class="control"></div>
									</div>
									
									<input name="<?php echo esc_attr($field['id']); ?>" id="<?php echo esc_attr($field['id']); ?>" type="hidden" value="<?php if ( sueva_postmeta( $field['id']) != "") { echo esc_attr(sueva_postmeta( $field['id'])); } else { echo esc_attr($field['std']); } ?>" class="on-off" />
	
								</div>  
								
								<div class="clear"></div>      
						
						</div>	
							
						<div class="clear"></div>
						
					</div>
				
					<?php break;
		
					case 'title':  ?>
					
					<h2 class="title"><?php echo esc_attr($field['name']); ?></h2>
					
					<?php break;
		
					case 'text':  ?>
					
					<div class="sueva_inputbox">
						
						<div class="input-left">
						
							<label for="<?php echo esc_attr($field['id']); ?>"><?php echo esc_attr($field['name']); ?></label><br />
							<em> <?php echo esc_attr($field['desc']); ?> </em>
							
						</div>
						
						<div class="input-right">
						
							<input name="<?php echo esc_attr($field['id']); ?>" id="<?php echo esc_attr($field['id']); ?>" type="<?php echo esc_attr($field['type']); ?>" value="<?php if ( sueva_postmeta( $field['id']) != "") { echo esc_html(sueva_postmeta( $field['id'])); } ?>" />
							
						</div>
						
						<div class="clear"></div>
					
                    </div>
				
					<?php break;
		
					case 'color':  ?>
					
					<div class="sueva_inputbox">
						
						<div class="input-left">
						
							<label for="<?php echo esc_attr($field['id']); ?>"><?php echo esc_attr($field['name']); ?></label><br />
							<em> <?php echo esc_attr($field['desc']); ?> </em>
							
						</div>
						
						<div class="input-right">
						
							<input name="<?php echo esc_attr($field['id']); ?>" id="<?php echo esc_attr($field['id']); ?>" type="text" value="<?php if ( sueva_postmeta($field['id']) != "") { echo esc_attr(sueva_postmeta($field['id'])); } else { echo esc_attr($field['std']); } ?>" data-default-color="<?php if ( sueva_postmeta($field['id']) != "") { echo esc_attr(sueva_postmeta($field['id'])); } else { echo esc_attr($field['std']); } ?>" class="sueva_color_picker" />

						</div>
						
						<div class="clear"></div>
					
                    </div>
				
					<?php break;
		
					case 'select':  ?>
					
					<div class="sueva_inputbox">
						
						<div class="input-left">
						
							<label for="<?php echo esc_attr($field['id']); ?>"><?php echo esc_attr($field['name']); ?></label>
							<em> <?php echo esc_attr($field['desc']); ?> </em>
							
						</div>
						
						<div class="input-right">
                        
							<select name="<?php echo esc_attr($field['id']); ?>" id="<?php echo esc_attr($field['id']); ?>" >
								
								<?php foreach ($field['options'] as $option => $values) { ?>
								<option <?php if ( sueva_postmeta($field['id']) == $option || ( !sueva_postmeta($field['id']) && $field['std'] == $option )) { echo 'selected="selected"'; } ?> value="<?php echo esc_attr($option); ?>"><?php echo esc_attr($values); ?></option><?php } ?>  
                                
							</select>
                            
                            <span></span>
						
						</div>
						
						<div class="clear"></div>
					
                    </div>
                    
					<?php break;
		
					case 'taxonomy-select':  
					
					$slideshows = get_terms("slideshows");
					foreach ($slideshows as $slideshow)	
						{
							$wp_terms[$slideshow->term_id] = $slideshow->name;
						}
					?>
					
					<div class="sueva_inputbox">
					
                    	<label for="<?php echo esc_attr($field['id']); ?>"><?php echo esc_attr($field['name']); ?></label>
                        
						<select name="<?php echo esc_attr($field['id']); ?>" id="<?php echo esc_attr($field['id']); ?>" >
						
                        	<option value="all"> All </option>
							<?php foreach ( $wp_terms as $option => $values) { ?>
                            <option <?php if (sueva_postmeta( $field['id']) == $option) { echo 'selected="selected"'; } ?> value="<?php echo esc_attr($option); ?>"><?php echo esc_attr($values); ?></option><?php } ?>
						
                        </select>
						
                        <em> <?php echo esc_attr($field['desc']); ?> </em>
					
                    </div>
				
				
					<?php break;
		
					case 'textarea':  ?>
							
					<div class="sueva_inputbox">
						
						<div class="input-left">
						
                        	<label for="<?php echo esc_attr($field['id']); ?>"><?php echo esc_attr($field['name']); ?></label><br />
							<em> <?php echo esc_attr($field['desc']); ?> </em>
						
                        </div>
						
                        <div class="input-right">
                        
                            <textarea name="<?php echo esc_attr($field['id']); ?>" id="<?php echo esc_attr($field['id']); ?>" type="<?php echo esc_attr($field['type']); ?>" ><?php if ( sueva_postmeta( $field['id']) != "") { echo stripslashes(sueva_postmeta( $field['id'])); } ?></textarea>
						
                        </div>
						
                        <div class="clear"></div>
					
                    </div>
							
					<?php break;

					case 'revsliders':  ?>
					
					<div id="sueva_revolution_slider" class="sueva_inputbox slider <?php echo esc_attr($field['type']); ?>">
						
						<div class="input-left">
						
							<label for="<?php echo esc_attr($field['id']); ?>"><?php echo esc_attr($field['name']); ?></label><br />
							<em> <?php echo esc_attr($field['desc']); ?> </em>
							
						</div>
						
						<div class="input-right">
							
                            <select name="<?php echo esc_attr($field['id']); ?>" id="<?php echo esc_attr($field['id']); ?>" >
                            	
                                <option value="none">None</option>
                                
								<?php foreach ( sueva_get_revsliders() as $alias => $title ) { ?>
                                    <option <?php if (sueva_postmeta( $field['id']) == $alias ) { echo 'selected="selected"'; } ?> value="<?php echo esc_attr($alias); ?>"><?php echo esc_attr($title); ?></option>
								<?php } ?>
                                
							</select>
						
						</div>
						
						<div class="clear"></div>
                        
					</div>
				
					<?php break;

					case 'defaultslider':

					?>

						<div id="theme_sliders">
                        	
                            <ul class="orders">
                    
					<?php	

						$sueva_gallery = sueva_postmeta('galleries');
						
						$i = 0;

						if ( $sueva_gallery ) { 

						foreach ( $sueva_gallery as $slide => $input) { 
							
							$i++;
							
					?>
							<li class="sueva_container <?php echo esc_attr($slide); ?>">
								
								<h5 class="element"><?php if ($input['title']) { echo esc_html($input['title']); } else { esc_attr_e('Untitle slide', 'sueva'); } ?></h5>
								
                                <div class="sueva_mainbox"> 
												
								<?php 
                                    
                                    foreach ( $input as $gallery => $element ) {
                                        
                                    if( $gallery == "title") { 
                                
                                ?>
                                            
                                        <div class="sueva_inputbox">
                                                
                                            <div class="input-left">
                                                        
                                                <label for="sueva_skins"><?php echo esc_html($gallery); ?></label>
                                                        
                                            </div>
                                                    
                                            <div class="input-right">
                                                    
                                                <input type="text" name="galleries[<?php echo esc_html($slide); ?>][<?php echo esc_html($gallery); ?>]" value="<?php echo esc_html($element); ?>">
                                                    
                                            </div>
                                        
                                            <div class="clear"></div>
                                                    
                                        </div>
                                                                
                                <?php } else if( $gallery == "url") { ?>
            
                                        <div class="sueva_inputbox">
                                                    
                                            <div class="input-left">
                                                        
                                                <label for="sueva_skins"><?php esc_attr_e('Image URL', 'sueva'); ?></label>
                                                        
                                            </div>
                                                    
                                            <div class="input-right">
                                                    
                                                <input type="text" id="sueva_<?php echo esc_html($slide); ?>"name="galleries[<?php echo esc_html($slide); ?>][url]" class="upload_attachment" value="<?php echo esc_url($element); ?>"/>
                                                <input type="button" name="upload_button" class="button upload_button" value="<?php esc_attr_e('Upload', 'sueva'); ?>" />
                                                    
                                            </div>
                                                    
                                            <div class="clear"></div>
                                                    
                                        </div>
                                
                                        <div class="sueva_inputbox">
                                                    
                                            <div class="input-left">
                                                        
                                                <label for="sueva_skins"><?php esc_attr_e('Image Preview', 'sueva'); ?></label>
                                                        
                                            </div>
                                                    
                                            <div class="input-right">
                                                    
                                                <img class="image-preview" src="<?php echo esc_url($element); ?>" alt="<?php esc_attr_e('Image Preview', 'sueva'); ?>"> 
                                                    
                                            </div>
                                                    
                                            <div class="clear"></div>
                                                    
                                        </div>
                                
                                <?php 
                                            
                                        } 
                                            
                                    } 
                                            
                                ?>
                                                   
                                        <div class="sueva_inputbox">
                                                    
                                            <a class="button delete" rel="<?php echo esc_html($slide); ?>"><?php esc_attr_e('Delete', 'sueva'); ?></a>
                                            <div class="clear"></div>
                                                    
                                        </div>
                                            
									</div>	
                                    			
								</li>  
					
					<?php 
					
								}
							
							} 
						
					?>


							</ul>

							<input type="hidden" id="elements" value="<?php echo esc_attr($i); ?>">
							<p class="sueva_input"><input type="button" class="button" id="add_gallery" value="+"></p>

                    	</div>

					<?php
						
						break;
				
					}
				
				endif;
				
				}
			
			}
	
		}
		
		public function sueva_metaboxes_save() {
		
				global $post_id, $post;
				
				$metaboxes_fields = $this->metaboxes_fields ;
		
				foreach ( $metaboxes_fields as $value ) {
					
					foreach ($value as $field) {

						if ( isset($field['id']) && isset ($_POST[$field['id']] ) ) {

							$new = $_POST[$field['id']];

							if ( $field['id'] == "galleries" ) {	
							
							$sueva_gallery = sueva_postmeta('galleries');
						
							if ( $sueva_gallery != false ) {
									
								$sueva_gallery = maybe_unserialize( $sueva_gallery );
								
							} else {
								
								$sueva_gallery = array();
								
							}      
								
							$key = 0;
								
							foreach ( $new as $slide => $gallery) { 
		
								unset ($new[$slide]);
								$key++;
								$slideshow[ 'slide' . $key ] = array( 'title' => sanitize_text_field($gallery['title']), 'url' => esc_url($gallery['url']));
									
							}
						
							update_post_meta( $post_id , $field['id'] , $slideshow );
								
						} else if ( $field['id'] <> "galleries" ) {
		
							update_post_meta( $post_id , $field['id'], sanitize_text_field($new) );
		
						}
							
					}
						
				}
					
			}
				
		}
				
	}

}

?>