<?php

if( !class_exists( 'sueva_split_nav_walker' ) ) {

	class sueva_split_nav_walker extends Walker_Nav_Menu {

		var $menu_position;
	
		function __construct($menu_position) {
	
			$this->menu_position = $menu_position;
		}

		private function logo_layout() { 
		
			$html  = '<div id="logo">';
																	
			if ( sueva_setting('wip_custom_logo') ):
			
				$html .= '<a href="' . home_url() . '" title="' . get_bloginfo('name') . '" class="image-logo" >';
				$html .=  "<img src='".sueva_setting('wip_custom_logo')."' class='image-logo' alt='logo'>"; 
				$html .= '</a>';
			
			else: 

				$html .= '<a href="' . home_url() . '" title="' . get_bloginfo('name') . '" class="logo" >';
				$html .= get_bloginfo('name'); 
				$html .= '</a>';
					
			endif; 
														
			$html .= '</div>';
			
			return $html;
		
		}
		
		private function break_point() {
			
			$menu_name = $this->menu_position;
			$locations = get_nav_menu_locations();
			$menu = wp_get_nav_menu_object( $locations[ $menu_name ] );
			$menuitems = wp_get_nav_menu_items( $menu->term_id, array( 'order' => 'DESC' ) );
			
			$elements = 0;
			
			if ( is_array($menuitems) ) :

				foreach ( $menuitems as $item ) {
				
					if ( $item->menu_item_parent == 0 ) {
						
						$elements++;
						$parent[] = $item->ID;
					
					}
					
				}
				
				return ceil($parent[$elements/2]);
	
			else:
			
				return false;
			
			endif;
	
		}

		function start_el(&$output, $item, $depth = 0, $args = array(), $id = 0) {
			
			global $wp_query;
			
			$theme_locations = get_nav_menu_locations();
			$menu_obj = get_term( $theme_locations[$args->theme_location], 'nav_menu' );
	
			$indent = ( $depth ) ? str_repeat( "\t", $depth ) : '';
	
			$class_names = $value = '';
	
			$classes = empty( $item->classes ) ? array() : (array) $item->classes;
			$classes[] = 'menu-item-' . $item->ID;
	
			$class_names = join( ' ', apply_filters( 'nav_menu_css_class', array_filter( $classes ), $item, $args ) );
			$class_names = ' class="' . esc_attr( $class_names ) . '"';
	
			$id = apply_filters( 'nav_menu_item_id', 'menu-item-'. $item->ID, $item, $args );
			$id = strlen( $id ) ? ' id="' . esc_attr( $id ) . '"' : '';
	
			if( $item->db_id == $this->break_point() && $this->break_point() ) {
			
				$output .= $indent . '</li></ul>' . $this->logo_layout() . '<ul class="last-menu '.$this->menu_position.'"><li' . $id . $value . $class_names .'>';
			
			} else {
				
				$output .= $indent . '<li' . $id . $value . $class_names . '>';
			
			}
			
			$attributes  = ! empty( $item->attr_title ) ? ' title="'  . esc_attr( $item->attr_title ) .'"' : '';
			$attributes .= ! empty( $item->target )     ? ' target="' . esc_attr( $item->target     ) .'"' : '';
			$attributes .= ! empty( $item->xfn )        ? ' rel="'    . esc_attr( $item->xfn        ) .'"' : '';
			$attributes .= ! empty( $item->url )        ? ' href="'   . esc_attr( $item->url        ) .'"' : '';
	
			$item_output = $args->before;
			$item_output .= '<a'. $attributes .'>';
			$item_output .= $args->link_before . apply_filters( 'the_title', $item->title, $item->ID ) . $args->link_after;
			$item_output .= '</a>';
			$item_output .= $args->after;
	
			$output .= apply_filters( 'walker_nav_menu_start_el', $item_output, $item, $depth, $args );
		}
	
	}
		
}
 
?>