<?php

/**
 * Wp in Progress
 * 
 * @package Wordpress
 * @author WPinProgress
 *
 * This source file is subject to the GNU GENERAL PUBLIC LICENSE (GPL 3.0)
 * It is also available at this URL: http://www.gnu.org/licenses/gpl-3.0.txt
 */

new sueva_metaboxes ('page', array (

array(  "name" => "Navigation",  
		"type" => "navigation",  

		"item" => array( 
	   	
			"setting" => esc_html__( "Setting","sueva") , 
			"sidebars" => esc_html__( "Sidebars","sueva") , 
			"pageformat" => esc_html__( "Page Format","sueva")
			
		),   

       "start" => "<ul>", 
       "end" => "</ul>"),  

array( "type" => "begintab",
	   "tab" => "setting",
	   "element" =>

		array(  "name" => esc_html__( "Setting","sueva"),
				"type" => "title",
		),

		array(  "name" => esc_html__( "Content type","sueva"),
				"desc" => esc_html__( "Select a type for this page","sueva"),
				"id" => "wip_content_type",
				"type" => "select",
				"options" => array(
					"standard" => esc_html__( "Standard","sueva"),
					"gallery" =>  esc_html__( "Gallery","sueva"),
					"maps" =>  esc_html__( "Maps","sueva"),
					"video" => esc_html__( "Video","sueva")),
				"std" => "",
		),

		array(  "name" => esc_html__( "Template","sueva"),
				"desc" => esc_html__( "Select a template for this page","sueva"),
				"id" => "wip_template",
				"type" => "select",
				"options" => array(
					"full" => esc_html__( "Full Width","sueva"),
					"left-sidebar" =>  esc_html__( "Left Sidebar","sueva"),
					"right-sidebar" => esc_html__( "Right Sidebar","sueva")),
			  
			   "std" => "right-sidebar",
		
		),

		array(  "name" => esc_html__( "Social Buttons","sueva"),
				"desc" => esc_html__( "Do you want to view the social buttons, after this content?","sueva"),
				"id" => "wip_view_social_buttons",
				"type" => "on-off",
				"std" => "on",
		),

),

array(  "type" => "endtab"),

array(  "type" => "begintab",
		"tab" => "sidebars",
		"element" =>

		array(  "name" => esc_html__( "Sidebars","sueva"),
				"type" => "title",
		),

		array(  "name" => esc_html__( "Sidebar","sueva"),
				"desc" => esc_html__( "Select side sidebar","sueva"),
				"id" => "wip_sidebar",
				"type" => "select",
				"options" => sueva_sidebar_list('side'),
				"std" => "",
		),
		
		array( 	"name" => esc_html__( "One Page Sidebar","sueva"),
				"desc" => esc_html__( "Select the one page sidebar.","sueva"),
				"id" => "wip_onepage_sidebar",
				"type" => "select",
				"options" => sueva_sidebar_list('onepage'),
				"std" => "",
		),
		
		array( 	"name" => esc_html__( "Top Sidebar","sueva"),
				"desc" => esc_html__( "Select a top sidebar","sueva"),
				"id" => "wip_top_sidebar",
				"type" => "select",
				"options" => sueva_sidebar_list('top'),
				"std" => "",
		),

		array(  "name" => esc_html__( "Header Sidebar","sueva"),
				"desc" => esc_html__( "Select a header sidebar","sueva"),
				"id" => "wip_header_sidebar",
				"type" => "select",
				"options" => sueva_sidebar_list('header'),
				"std" => "",
		),

		array(  "name" => esc_html__( "Bottom Sidebar","sueva"),
				"desc" => esc_html__( "Select a bottom sidebar","sueva"),
				"id" => "wip_full_sidebar",
				"type" => "select",
				"options" => sueva_sidebar_list('full'),
				"std" => "",
		),

		array(  "name" => esc_html__( "Footer Sidebar","sueva"),
				"desc" => esc_html__( "Select a footer sidebar","sueva"),
				"id" => "wip_bottom_sidebar",
				"type" => "select",
				"options" => sueva_sidebar_list('bottom'),
				"std" => "",
		),

),

array(  "type" => "endtab"),

array(  "type" => "begintab",
		"tab" => "pageformat",
		"element" =>

		array(  "id" => "gallery",
				"type" => "start",
		),

		array(  "name" => esc_html__( "Gallery","sueva"),
				"type" => "title",
		),

	    array(  "name" => esc_html__( "Crea Gallery","sueva"),
				"desc" => esc_html__( "Upload the images for gallery","sueva"),
				"id" => "wip_slider_type",
				"type" => "select",
				"options" => sueva_slider_list(),
				"std" => "",
		),

	    array(  "name" => esc_html__( "Default Slider","sueva"),
				"desc" => esc_html__( "Upload the images for gallery","sueva"),
				"id" => "galleries",
				"type" => "defaultslider",
		),

		array(  "name" => esc_html__( "Revolution Slider","sueva"),
				"desc" => esc_html__( "Select one of these slide of Revolution Sliders","sueva"),
				"id" => "wip_revslider",
				"type" => "revsliders",
		),

		array(  "type" => "end"),
		
		array(  "id" => "video",
				"type" => "start",
		),

		array(  "name" => esc_html__( "Video","sueva"),
				"type" => "title",
		),

		array(  "name" => esc_html__( "Video Services","sueva"),
				"desc" => esc_html__( "Select one of this video services","sueva"),
				"id" => "wip_video_type",
				"type" => "select",
				"options" => array(
					"//player.vimeo.com/video/" => "Vimeo",
					"http://www.youtube.com/embed/" => "Youtube" ),
				"std" => "",
		),
			  
		array(  "name" => esc_html__( "ID Services","sueva"),
				"desc" => esc_html__( "Insert the ID of Youtube or Vimeo Video","sueva"),
				"id" => "wip_video_id",
				"type" => "text",
		),
		
		array(  "type" => "end"),
		
		array(  "id" => "maps",
				"type" => "start",
		),

		array(  "name" => esc_html__( "Google Maps","sueva"),
				"type" => "title",
		),

		array(  "name" => esc_html__( "Address","sueva"),
				"desc" => esc_html__( "Insert the address for Google maps","sueva"),
				"id" => "wip_contact_address",
				"type" => "text",
		),
		
		array( "type" => "end"),

),

array( "type" => "endtab"),

array( "type" => "endtab")
)

);


?>