<?php 

/**
 * Wp in Progress
 * 
 * @package Wordpress
 * @author WPinProgress
 *
 * This source file is subject to the GNU GENERAL PUBLIC LICENSE (GPL 3.0)
 * It is also available at this URL: http://www.gnu.org/licenses/gpl-3.0.txt
 */

if (!function_exists('sueva_gallery_format_function')) {

	function sueva_gallery_format_function() {

		if ( sueva_postmeta('wip_slider_type') == "revsliders" ) :
		
			do_action ( 'sueva_revsliders');
			
		else :
	
			if ( sueva_postmeta( 'galleries' ) ) :
		
				do_action ( 'sueva_' . esc_attr(sueva_postmeta('wip_slider_type')) );
			
			else:
			
				do_action('sueva_thumbnail', 
					
					array(	'id' =>'sueva_blog_thumbnail', 
							'type' =>'default', 
							'icon' => esc_attr(sueva_setting( 'wip_display_icon','off' )) 
					) 
					
				); 

			endif;
	
		endif;
	
	?>
    
        <div class="post-article post-details-<?php echo str_replace('sueva_before_content_', '', sueva_setting('wip_post_details_layout')); ?>">
        
            <?php 
				
				do_action( sueva_setting('wip_post_details_layout', 'sueva_before_content_1') );
                do_action('sueva_after_content'); 
                
            ?>
        
        </div>
    
	<?php

	}

	add_action( 'sueva_gallery_format','sueva_gallery_format_function', 10, 2 );

}

?>