<?php 

/**
 * Wp in Progress
 * 
 * @package Wordpress
 * @author WPinProgress
 *
 * This source file is subject to the GNU GENERAL PUBLIC LICENSE (GPL 3.0)
 * It is also available at this URL: http://www.gnu.org/licenses/gpl-3.0.txt
 */

if (!function_exists('sueva_portfolio_format_function')) {

	function sueva_portfolio_format_function() {

		do_action('sueva_header_content');

	?>
    
        <div class="post-article post-details-<?php echo str_replace('sueva_before_content_', '', sueva_setting('wip_post_details_layout')); ?>">
        
            <?php 
				
				do_action( sueva_setting('wip_post_details_layout', 'sueva_before_content_1') );
            
                if ( is_tax() || is_search() ) {
                
                    if ( !sueva_setting('wip_view_readmore') || sueva_setting('wip_view_readmore') == "on" ) {
                            
                        the_excerpt(); 
                        
                    } else if (sueva_setting('wip_view_readmore') == "off" ) {
                            
                        the_content(); 
                    
                    }
                    
                } else {
            
                    the_content(); 
            
                    if (sueva_postmeta('wip_folio_url')):
                            
                        echo '<a class="read-more" href="'.esc_url(sueva_postmeta('wip_folio_url')).'" title="More"> <span class="button">Open</span></a>';
                        
                    endif;
                    
                    if (sueva_postmeta('wip_folio_skills')):
                            
                        echo '<footer class="line"><span class="entry-info"><strong>Skills:</strong> ' . esc_attr(sueva_postmeta('wip_folio_skills')) . '</span></footer>';
                        
                    endif;
					
                    if ( ( !sueva_postmeta('wip_view_social_buttons') || sueva_postmeta('wip_view_social_buttons') == "on" ) && sueva_setting('wip_view_social_buttons') == "on" ) :
                            
                        do_action('sueva_socialshare');
                            
                    endif;
            
                }
        
            ?>
        
        </div>
        
	<?php

	}

	add_action( 'sueva_portfolio_format', 'sueva_portfolio_format_function', 10, 2 );

}

?>