<?php 

/**
 * Wp in Progress
 * 
 * @package Wordpress
 * @author WPinProgress
 *
 * This source file is subject to the GNU GENERAL PUBLIC LICENSE (GPL 3.0)
 * It is also available at this URL: http://www.gnu.org/licenses/gpl-3.0.txt
 */

if (!function_exists('sueva_after_content_function')) {

	function sueva_after_content_function() { 
	
		if ( sueva_get_archive_title() || is_page_template() || is_search() || is_home() ) {
	
			if ( !sueva_setting('wip_view_readmore') || sueva_setting('wip_view_readmore') == "on" ) {
				
				the_excerpt(); 
			
			} else if (sueva_setting('wip_view_readmore') == "off" ) {
				
				the_content(); 
			
			}
	
		} else {
		
			the_content();
	
			the_tags( '<footer class="line"><span class="entry-info"><strong>Tags:</strong> ', ', ', '</span></footer>' );
	
			if ( !sueva_is_woocommerce_active('is_cart') ) :
			
				if ( ( !sueva_postmeta('wip_view_social_buttons') || sueva_postmeta('wip_view_social_buttons') == "on" ) && sueva_setting('wip_view_social_buttons') == "on" ) :

					do_action('sueva_socialshare');

				endif;
			
			endif;
			
			if ( ( !sueva_setting('wip_view_comments') || sueva_setting('wip_view_comments') == "on" ) && comments_open() ) : 
	
				comments_template();
	
			endif;
		
		}
	
	} 

	add_action( 'sueva_after_content', 'sueva_after_content_function', 10, 2 );

}

?>