<?php 

/**
 * Wp in Progress
 * 
 * @package Wordpress
 * @author WPinProgress
 *
 * This source file is subject to the GNU GENERAL PUBLIC LICENSE (GPL 3.0)
 * It is also available at this URL: http://www.gnu.org/licenses/gpl-3.0.txt
 */

/*-----------------------------------------------------------------------------------*/
/* LAYOUT 1 */
/*-----------------------------------------------------------------------------------*/ 

if (!function_exists('sueva_before_content_1_function')) {

	function sueva_before_content_1_function() {
		
		if ( !sueva_is_single() ) {

			do_action('sueva_post_title', 'blog' ); 

		} else {

			if ( !sueva_is_woocommerce_active('is_cart') ) :
	
				if ( sueva_is_single() && !is_page_template() ) :
							 
					do_action('sueva_post_title', 'single');
							
				else :
					
					do_action('sueva_post_title', 'blog'); 
							 
				endif;
	
			endif;

		}
		
		do_action('sueva_post_details');
		
	} 
	
	add_action( 'sueva_before_content_1', 'sueva_before_content_1_function', 10, 2 );

}

/*-----------------------------------------------------------------------------------*/
/* LAYOUT 2 */
/*-----------------------------------------------------------------------------------*/ 

if (!function_exists('sueva_before_content_2_function')) {

	function sueva_before_content_2_function() {
		
		if ( has_category() ) :

			echo '<span class="entry-category">';
			the_category(' . ');
			echo '</span>';
	
		endif;
		
		if ( !sueva_is_single() ) {

			do_action('sueva_post_title', 'blog' ); 

		} else {

			if ( !sueva_is_woocommerce_active('is_cart') ) :
	
				if ( sueva_is_single() && !is_page_template() ) :
							 
					do_action('sueva_post_title', 'single');
							
				else :
					
					do_action('sueva_post_title', 'blog'); 
							 
				endif;
	
			endif;

		}

		echo '<span class="entry-date">' . esc_html__('On ','sueva') . get_the_date() . esc_html__(' by ','sueva') . get_the_author_posts_link() . '</span>';

	} 
	
	add_action( 'sueva_before_content_2', 'sueva_before_content_2_function', 10, 2 );

}

/*-----------------------------------------------------------------------------------*/
/* LAYOUT 3 */
/*-----------------------------------------------------------------------------------*/ 

if (!function_exists('sueva_before_content_3_function')) {

	function sueva_before_content_3_function() {
		
		if ( !sueva_is_single() ) {

			do_action('sueva_post_title', 'blog' ); 

		} else {

			if ( !sueva_is_woocommerce_active('is_cart') ) :
	
				if ( sueva_is_single() && !is_page_template() ) :
							 
					do_action('sueva_post_title', 'single');
							
				else :
					
					do_action('sueva_post_title', 'blog'); 
							 
				endif;
	
			endif;

		}

	} 
	
	add_action( 'sueva_before_content_3', 'sueva_before_content_3_function', 10, 2 );

}

/*-----------------------------------------------------------------------------------*/
/* LAYOUT 4 */
/*-----------------------------------------------------------------------------------*/ 

if (!function_exists('sueva_before_content_4_function')) {

	function sueva_before_content_4_function() {
		
		if ( !sueva_is_single() ) {

			do_action('sueva_post_title', 'blog' ); 

		} else {

			if ( !sueva_is_woocommerce_active('is_cart') ) :
	
				if ( sueva_is_single() && !is_page_template() ) :
							 
					do_action('sueva_post_title', 'single');
							
				else :
					
					do_action('sueva_post_title', 'blog'); 
							 
				endif;
	
			endif;

		}

		echo '<div class="line"></div>';

	} 
	
	add_action( 'sueva_before_content_4', 'sueva_before_content_4_function', 10, 2 );

}

?>