<?php 

/**
 * Wp in Progress
 * 
 * @package Wordpress
 * @author WPinProgress
 *
 * This source file is subject to the GNU GENERAL PUBLIC LICENSE (GPL 3.0)
 * It is also available at this URL: http://www.gnu.org/licenses/gpl-3.0.txt
 */

if (!function_exists('sueva_custom_masonry_function')) {
	
	function sueva_custom_masonry_function($span) { 

?>

        <div class="row masonry" id="masonry">
                
            <?php
        
                $maxpost = get_option('posts_per_page');
                $offset = sueva_paged()*get_option('posts_per_page')-get_option('posts_per_page');
        
                $query = new WP_Query( 'post_type=post&posts_per_page='.$maxpost.'&offset='.$offset.'&paged='.sueva_paged() );
                
                if ( $query->have_posts() ) : while ( $query-> have_posts() ) : $query->the_post(); 
        
            ?>
           
            <div <?php post_class(array('post-container', 'masonry-item', $span )); ?>>
        
                <?php do_action('sueva_postformat'); ?>
        
            </div>
        
            <?php 
            
                endwhile; 
                endif; 
                wp_reset_query();
                wp_reset_postdata();
                
            ?>
                
        </div>
		
<?php 
	
	} 

	add_action( 'sueva_custom_masonry', 'sueva_custom_masonry_function', 10, 2 );

} 

?>