<?php

/**
 * Wp in Progress
 * 
 * @package Wordpress
 * @author WPinProgress
 *
 * This source file is subject to the GNU GENERAL PUBLIC LICENSE (GPL 3.0)
 * It is also available at this URL: http://www.gnu.org/licenses/gpl-3.0.txt
 */

if (!function_exists('sueva_portfolio_filtrable_function')) {

	function sueva_portfolio_filtrable_function($span, $display_title) { 
	
	global $post;
	
?>
	
	<div class="<?php echo sueva_content_class('container'); ?>">
		
		<div class="<?php echo sueva_content_class('row'); ?>">
        
        	<?php if ( $display_title == 'on' && ( !sueva_setting('wip_project_name') || sueva_setting('wip_project_name') == "on" ) ) : ?>

                <div class="post-container col-md-12">
               
                    <article class="post-article portfolio">
                                                    
                        <h1> <?php the_title();?> </h1>
                    
                    </article>
                
                </div>                            

        	<?php endif; ?>

			<div class="col-md-12">
	
				<div class="skills">

					<?php if ( $display_title == 'on' ) : ?>

                        <div class="views"><?php esc_html_e( "View projects","sueva"); ?><i class="fa fa-chevron-down"></i></div>

					<?php endif; ?>

                    <ul class="filter">
                    
                        <li class="active"><a href="#" data-filter="*" > <?php esc_html_e( "All projects","sueva"); ?> </a></li>
                        
                        <?php
        
                            $allowed = array(
                            
                                'a' => array(
                                    'href' => array(),
                                    'data-filter' => array(),
                                ),
                                
                                'li' => array()
                            
							);
        
                            $terms = get_terms('project');
                            $count = count($terms);
                            
                            $term_list = '';
                             
                            if(!empty($terms)) {
                            
                                foreach ($terms  as $term) {
                            
                                    $term_list  .= '<li><a href="#" data-filter=".'. $term->slug .'">' . $term->name .' </a></li> ';
                            
                                }
        
                                echo wp_kses($term_list, $allowed);
                            
                            }
                            
                        ?>
                        
                    
                    </ul>

				</div>
	
			</div>
		
		</div>
	
		<div class="<?php echo sueva_content_class('row'); ?> portfolio-grid" >
		
			<ul class="filterable-grid masonry" >
		  
			<?php
				
				$query = new WP_Query( 'post_type=portfolio&posts_per_page=-1' );
				
				if ( $query->have_posts() ) : while ( $query-> have_posts() ) : $query->the_post(); 
				
					if ( sueva_postmeta('wip_folio_linkto') == 'external_link' && sueva_postmeta('wip_folio_url') ) :
					
						$title_link = sueva_postmeta('wip_folio_url');
						$title_target = 'target="_blank"';
					
					else :
					
						$title_link = get_permalink($post->ID);
						$title_target = '';
	
					endif;
					
					$class = esc_attr($span) . ' ';
	
					$postterms = get_the_terms( $post->ID, 'project' );
	
					if ( $postterms && ! is_wp_error( $postterms ) ) : 
					
						foreach ($postterms as $term) { 
						
							$class .= strtolower(preg_replace('/\s+/', '-', $term->name).' '); 
						
						} 
					
					endif;				
					
			?>

                    <li class="masonry-item <?php echo esc_attr($class); ?>" >
    
                        <article class="works">
                            
                            <?php if ( (function_exists('has_post_thumbnail')) && (has_post_thumbnail()) ) : 
                                
                                $large_image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));
                                the_post_thumbnail(); 
                            
                            ?>
                            
                                <div class="overlay">
                                    <?php if (has_post_thumbnail()) : ?> <a data-rel="prettyPhoto" href="<?php echo esc_url($large_image); ?>" class="zoom"></a> <?php endif;?>
                                </div>  
                            
                            <?php endif; ?>
                                
                            <h4 class="title"><a <?php echo $title_target;?> href="<?php echo $title_link; ?>" class="link"><?php echo get_the_title(); ?></a> </h4>
                                
                        </article>
                            
                    </li>
			
			<?php 
							
				$count++; 
				endwhile; 
				endif; 
				wp_reset_query();
			
			?>
				
			</ul>

		</div>
	
    </div>
	
<?php 
	
	}

	add_action( 'sueva_portfolio_filtrable', 'sueva_portfolio_filtrable_function', 10, 2 );

}  

?>