<?php

/**
 * Wp in Progress
 * 
 * @package Wordpress
 * @author WPinProgress
 *
 * This source file is subject to the GNU GENERAL PUBLIC LICENSE (GPL 3.0)
 * It is also available at this URL: http://www.gnu.org/licenses/gpl-3.0.txt
 */

if (!function_exists('sueva_postformat_function')) {

	function sueva_postformat_function() {
		
		if (
		 
			in_array(get_post_type( get_the_ID()), array("page", "team", "service", "testimonial", "product", "portfolio" ))) { 
				
				$postformats = get_post_type( get_the_ID());
		
		} else if (
		
			!get_post_format() || 
			in_array( get_post_format(), array("status", "chat")) ||
			in_array( get_post_format(), array("link", "quote", "aside")) && sueva_setting('wip_post_format_layout') == 'off' ) { 
				
				$postformats = "default";
		
		} else {
			
			$postformats = get_post_format();
		
		}
		
		do_action( 'sueva_' . $postformats . '_format' );

	}

	add_action( 'sueva_postformat', 'sueva_postformat_function', 10, 2 );

}

?>