<?php

/**
 * Wp in Progress
 * 
 * @package Wordpress
 * @author WPinProgress
 *
 * This source file is subject to the GNU GENERAL PUBLIC LICENSE (GPL 3.0)
 * It is also available at this URL: http://www.gnu.org/licenses/gpl-3.0.txt
 */

if (!function_exists('sueva_header_content_function')) {

	function sueva_header_content_function() {
		
		if ( !sueva_postmeta('wip_content_type') || sueva_postmeta('wip_content_type') == "standard" ) {
			
			do_action('sueva_thumbnail', 
				
				array(	'id' =>'sueva_blog_thumbnail', 
						'type' =>'default', 
						'icon' => esc_attr(sueva_setting( 'wip_display_icon','off' )) 
				) 
				
			); 

		} else if ( sueva_postmeta('wip_content_type') == "video" )  {
			
			do_action('sueva_video', array( 'icon' => 'off' ) ); 
			
		} else if ( sueva_postmeta('wip_content_type') == "gallery" )  {
	
			if ( sueva_postmeta('wip_slider_type') == "revsliders" ) :
			
				do_action ( 'sueva_revsliders');
				
			else :
		
				if ( sueva_postmeta( 'galleries' ) ) :
			
					do_action('sueva_' . esc_attr(sueva_postmeta('wip_slider_type')) );
				
				else:
				
					do_action('sueva_thumbnail', 
						
						array(	'id' =>'sueva_blog_thumbnail', 
								'type' =>'overlay', 
								'icon' => esc_attr(sueva_setting( 'wip_display_icon','off' )) 
						) 
						
					); 

				endif;
		
			endif;
	
		} else if ( sueva_postmeta('wip_content_type') == "maps" )  {
	
			echo do_shortcode('[googlemaps src="'.esc_attr(sueva_postmeta( 'wip_contact_address' )).'"]'); 
	
		}
		
	}

	add_action( 'sueva_header_content','sueva_header_content_function', 10, 2 );

}

?>