<?php 

/**
 * Wp in Progress
 * 
 * @author WPinProgress
 *
 * This source file is subject to the GNU GENERAL PUBLIC LICENSE (GPL 3.0)
 * It is also available at this URL: http://www.gnu.org/licenses/gpl-3.0.txt
 */

if (!function_exists('sueva_scroll_sidebar_function')) {

	function sueva_scroll_sidebar_function($menu) {

?>
        
        <div id="sidebar-wrapper">
            
            <div id="scroll-sidebar" class="clearfix">
            
                <div class="navigation"><i class="fa fa-times open"></i></div>	
        
                <div class="post-article widget-box">
                
                    <h3 class="title"><?php esc_html_e( 'Menu','sueva'); ?></h3>
                    
                    <nav class="sueva-menu sueva-mobile-menu sueva-vertical-menu">

                        <?php
                        
                            wp_nav_menu( 
                            
                                array(
									'theme_location' => $menu,
									'menu_class' => $menu,
                                    'container' => 'false',
                                    'menu_id' => 'widgetmenus',
                                    'depth' => 3
                                )
                            
                            ); 
                        
                        ?>
                        
                    </nav>
                
                </div>
                
                <div class="post-article">
        			
                    <div class="copyright">
                            
						<?php do_action('sueva_copyright'); ?>
                                
                    </div>

					<?php if ( sueva_setting('wip_header_social_buttons') && sueva_setting('wip_header_social_buttons') == "on" ) : ?>

                        <div class="social-buttons">
                                
                            <?php do_action( 'sueva_socials' ); ?>
                                
                        </div>
    
					<?php endif; ?>

                </div>
                
            </div>
        
        </div>
                
<?php
	
	}

	add_action( 'sueva_scroll_sidebar', 'sueva_scroll_sidebar_function', 10, 2 );

}

?>