<?php

/**
 * Wp in Progress
 * 
 * @package Wordpress
 * @author WPinProgress
 *
 * This source file is subject to the GNU GENERAL PUBLIC LICENSE (GPL 3.0)
 * It is also available at this URL: http://www.gnu.org/licenses/gpl-3.0.txt
 */

if (!function_exists('sueva_bottom_sidebar_function')) {

	function sueva_bottom_sidebar_function() {
		
		$name = 'bottom-sidebar-area';

		if ( sueva_is_single() && sueva_postmeta('wip_bottom_sidebar') ) {
			
			$name = sueva_postmeta('wip_bottom_sidebar');
		
		} else if ( sueva_get_archive_title() && sueva_taxmeta('wip_bottom_sidebar') ) {
			
			$name = sueva_taxmeta('wip_bottom_sidebar');
			
		}

		if ( is_active_sidebar( $name ) ) : ?>

			<div id="footer_widgets">
				
                <div class="<?php echo sueva_content_class('container'); ?> sidebar-area">
                
                    <div class="<?php echo sueva_content_class('row'); ?>">
                    
                        <?php dynamic_sidebar($name) ?>
                                                    
                    </div>
                    
                </div>
				
			</div>

<?php 
	
		endif;
		
	}

	add_action( 'sueva_bottom_sidebar', 'sueva_bottom_sidebar_function', 10, 2 );

}

?>