<?php 

class wip_banner_widget extends WP_Widget {
	
	public function __construct()  {
		
		parent::__construct( "wip_banner_widget", "Sueva Banner Widget", array("description" => "Sueva Banner Widget"));
	
	}
	
	public function form( $instance ) {
		
		$defaults = array( 
			'banner_image' => NULL,
			'banner_url' => NULL,
			'banner_rotate' => NULL,
        );
		
		$instance = wp_parse_args( (array) $instance, $defaults ); 

		?>

		<p class="sueva_widget_upload">
			
            <label for="<?php echo $this->get_field_id( 'banner_image' ); ?>"><?php esc_html_e( "Banner Image","sueva"); ?></label>
			
            <input class="widefat upload_attachment" type="text" id="<?php echo $this->get_field_id( 'banner_image' ); ?>" name="<?php echo $this->get_field_name( 'banner_image' ); ?>" value="<?php echo esc_url($instance['banner_image']); ?>" />
            
			<input type="button" name="upload_button" class="button upload_button" value="<?php esc_attr_e('Upload','sueva'); ?>" />
			
		</p>  
    
		<p>
			
            <label for="<?php echo $this->get_field_id( 'banner_url' ); ?>"><?php esc_html_e( "Banner Url","sueva"); ?></label>
			<input class="widefat" type="text" id="<?php echo $this->get_field_id( 'banner_url' ); ?>" name="<?php echo $this->get_field_name( 'banner_url' ); ?>" value="<?php echo esc_url($instance['banner_url']); ?>" />
			
		</p>  

		<p>
			
            <label for="<?php echo $this->get_field_id( 'banner_rotate' ); ?>"> <?php esc_html_e( "Do you want do rotate the banner image at hover?","sueva"); ?> </label>

            <div class="bool-slider <?php if ( $instance['banner_rotate'] != "") { echo stripslashes($instance['banner_rotate']); } else { echo "off"; } ?>">
                                        
                <div class="inset"><div class="control"></div></div>
                                        
                    <input name="<?php echo $this->get_field_name( 'banner_rotate' ); ?>" id="<?php echo $this->get_field_id( 'banner_rotate' ); ?>" type="hidden" value="<?php if ( $instance['banner_rotate'] != "") { echo esc_attr($instance['banner_rotate']); } else { echo "off"; } ?>" class="on-off" />
        
            </div>  
            
            <div class="clear"></div>

		</p> 
        

		<?php
	}
	
	public function update( $new_instance, $old_instance ) {
		
		$instance = $old_instance;

		$instance['banner_image'] = strip_tags( $new_instance['banner_image'] );
		$instance['banner_url'] = strip_tags( $new_instance['banner_url'] );
		$instance['banner_rotate'] = strip_tags( $new_instance['banner_rotate'] );
		
		return $instance;
	}                     
	
	public function widget( $args, $instance ) {
	
		extract( $args );

		$class = '';

		$allowed = array(
		
			'div' => array(
				'id' => array(),
				'class' => array(),
			),
			'article' => array(
				'id' => array(),
				'class' => array(),
			)
	
		);

		echo wp_kses($before_widget, $allowed);
		
		if ( $instance['banner_rotate'] == "on") 
			$class = "class='banner-rotate'" ;

		if ( $instance['banner_url'] )
			echo '<a '.$class.' href="' . esc_url($instance['banner_url']) . '" rel="nofollow" target="_blank" >';
		
		echo '<img src="' . esc_url($instance['banner_image']) . '" alt="banner">';

		if ( $instance['banner_url'] )
			echo '</a>';

		echo wp_kses($after_widget, $allowed);
	
	}
	
}

?>