<?php 

/*-----------------------------------------------------------------------------------*/
/* START CATEGORY
/*-----------------------------------------------------------------------------------*/    
    
class wip_category_widget extends WP_Widget {
	
	public function __construct() {
		
		parent::__construct( "wip_category_widget", "Sueva Category Widget", array("description" => "Sueva Menu Widget"));
	
	}
	
	public function form( $instance ) {

		$defaults = array( 
			'title' => 'Blog Category',
			'counts' => NULL,
        );
		
		$instance = wp_parse_args( (array) $instance, $defaults ); 

	?>
        
		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php esc_html_e( "Title","sueva"); ?></label>
			<input class="widefat" type="text" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo esc_attr($instance['title']); ?>" />
			
		</p>  

		<p>
			
            <label for="<?php echo $this->get_field_id( 'counts' ); ?>"> <?php esc_html_e( "Do you want do display the category count?:","sueva"); ?> </label>

            <div class="bool-slider <?php if ( $instance['counts'] != "") { echo stripslashes($instance['counts']); } else { echo "off"; } ?>">
                                        
                <div class="inset"><div class="control"></div></div>
                                        
                    <input name="<?php echo $this->get_field_name( 'counts' ); ?>" id="<?php echo $this->get_field_id( 'counts' ); ?>" type="hidden" value="<?php if ( $instance['counts'] != "") { echo esc_attr($instance['counts']); } else { echo "off"; } ?>" class="on-off" />
        
            </div>  
            
            <div class="clear"></div>

		</p>

		<?php
	}
	
	public function update( $new_instance, $old_instance ) {
		
		$instance = $old_instance;

		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['counts'] = strip_tags( $new_instance['counts'] );
		
		return $instance;
		
	}                     
	
	public function widget( $args, $instance ) {
		
		extract( $args );

		$allowed = array(
		
			'div' => array(
				'id' => array(),
				'class' => array(),
			),
			'article' => array(
				'id' => array(),
				'class' => array(),
			),
			'h4' => array(
				'class' => array(),
			)
	
		);

		echo wp_kses($before_widget, $allowed);
		
		$counts = 0;
		
		if ( $instance['counts'] == 'on')
			$counts = 1;
		
		$title = apply_filters( 'widget_title', $instance['title'] );
		
		if ( $title )
			echo wp_kses($before_title, $allowed) . esc_attr($title) . wp_kses($after_title, $allowed) ;
	
	?>
        
        <ul class="widget-category"><?php wp_list_categories('orderby=name&title_li=0&hierarchical=0&show_count='.$counts); ?></ul>
	
	<?php
	
		echo wp_kses($after_widget, $allowed);
	}
	
}
	
?>