<?php 

class wip_contact_info_widget extends WP_Widget {
	
	public function __construct() {
	
		parent::__construct( "wip_contact_info_widget", "Sueva Contact Info Widget", array("description" => "Sueva Contact Info Widget"));
	
	}
	
	public function form( $instance ) {
		
		global $positions;

		$defaults = array( 
		
			'title' => 'Contact Info',
			'address' => NULL,
			'phone' => NULL,
			'mobile' => NULL,
			'fax' => NULL,
			'email' => NULL,
			'skype' => NULL,
        
		);
		
		$instance = wp_parse_args( (array) $instance, $defaults ); 

?>
            
        <p>
            
            <label for="<?php echo $this->get_field_id( 'title' ); ?>"> <?php esc_html_e( "Title","sueva"); ?> </label>
            <input class="widefat" type="text" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo esc_attr($instance['title']); ?>" />
                
        </p>  
    
        <p>
            
            <label for="<?php echo $this->get_field_id( 'address' ); ?>"> <?php esc_html_e( "Address","sueva"); ?> </label>
            <input class="widefat" type="text" id="<?php echo $this->get_field_id( 'address' ); ?>" name="<?php echo $this->get_field_name( 'address' ); ?>" value="<?php echo esc_attr($instance['address']); ?>" />
                
        </p>  
            
        <p>
            
            <label for="<?php echo $this->get_field_id( 'phone' ); ?>"><?php esc_html_e( "Phone","sueva"); ?></label>
            <input class="widefat" type="text" id="<?php echo $this->get_field_id( 'phone' ); ?>" name="<?php echo $this->get_field_name( 'phone' ); ?>" value="<?php echo esc_attr($instance['phone']); ?>" />
                
        </p>  
            
        <p>
            
            <label for="<?php echo $this->get_field_id( 'mobile' ); ?>"> <?php esc_html_e( "Mobile","sueva"); ?> </label>
            <input class="widefat" type="text" id="<?php echo $this->get_field_id( 'mobile' ); ?>" name="<?php echo $this->get_field_name( 'mobile' ); ?>" value="<?php echo esc_attr($instance['mobile']); ?>" />
                
        </p>  
            
        <p>
            
            <label for="<?php echo $this->get_field_id( 'fax' ); ?>"> <?php esc_html_e( "Fax","sueva"); ?> </label>
            <input class="widefat" type="text" id="<?php echo $this->get_field_id( 'fax' ); ?>" name="<?php echo $this->get_field_name( 'fax' ); ?>" value="<?php echo esc_attr($instance['fax']); ?>" />
                
        </p>  
            
        <p>
            
            <label for="<?php echo $this->get_field_id( 'email' ); ?>"> <?php esc_html_e( "Email","sueva"); ?> </label>
            <input class="widefat" type="text" id="<?php echo $this->get_field_id( 'email' ); ?>" name="<?php echo $this->get_field_name( 'email' ); ?>" value="<?php echo sanitize_email($instance['email']); ?>" />
                
        </p>  
    
        <p>
            
            <label for="<?php echo $this->get_field_id( 'skype' ); ?>"> <?php esc_html_e( "Skype","sueva"); ?> </label>
            <input class="widefat" type="text" id="<?php echo $this->get_field_id( 'skype' ); ?>" name="<?php echo $this->get_field_name( 'skype' ); ?>" value="<?php echo esc_attr($instance['skype']); ?>" />
                
        </p>  
    
<?php
	
	}
	
	public function update( $new_instance, $old_instance ) {

		$instance = $old_instance;

		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['address'] = strip_tags( $new_instance['address'] );
		$instance['phone'] = strip_tags( $new_instance['phone'] );
		$instance['mobile'] = strip_tags( $new_instance['mobile'] );
		$instance['fax'] = strip_tags( $new_instance['fax'] );
		$instance['email'] = strip_tags( $new_instance['email'] );
		$instance['skype'] = strip_tags( $new_instance['skype'] );
		
		return $instance;
	}                     
	
	public function widget( $args, $instance ) {
		
		extract( $args );

		$allowed = array(
		
			'div' => array(
				'id' => array(),
				'class' => array(),
			),
			'article' => array(
				'id' => array(),
				'class' => array(),
			),
			'h4' => array(
				'class' => array(),
			)
	
		);

		echo wp_kses($before_widget, $allowed);

		$title = apply_filters( 'widget_title', $instance['title'] );
		
		if ( $title )
			echo wp_kses($before_title, $allowed) . esc_attr($title) . wp_kses($after_title, $allowed) ;

?>
        
	<ul class="contact-info">
        
		<?php 
		
			if (!empty($instance['address'])) echo '<li><i class="fa fa-map-marker"></i>'.esc_attr($instance['address']).'</li>';
			if (!empty($instance['phone'])) echo '<li><i class="fa fa-phone"></i>'.esc_attr($instance['phone']).'</li>';
			if (!empty($instance['mobile'])) echo '<li><i class="fa fa-mobile-phone"></i>'.esc_attr($instance['mobile']).'</li>';
			if (!empty($instance['fax'])) echo '<li><i class="fa fa-print"></i>'.esc_attr($instance['fax']).'</li>';
			if (!empty($instance['email'])) echo '<li><i class="fa fa-envelope"></i>'.sanitize_email($instance['email']).'</li>';
			if (!empty($instance['skype'])) echo '<li><i class="fa fa-skype"></i>'.esc_attr($instance['skype']).'</li>'; 
			
		?>

	</ul>
        
<?php

		echo wp_kses($after_widget, $allowed);
	
	}
	
}

?>