<?php 

class wip_googlemaps_widget extends WP_Widget {
	
	public function __construct() {

		parent::__construct( "wip_googlemaps_widget", "Sueva Google Maps Widget", array("description" => "Sueva Google Maps Widget"));
	
	}
	
	public function form( $instance ) {

		$defaults = array( 
			'title' => 'Google Maps',
			'address' => NULL,
        );
		
		$instance = wp_parse_args( (array) $instance, $defaults ); 

		?>
        
		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>">
				Title:
			</label>
			<input class="widefat" type="text" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo esc_attr($instance['title']); ?>" />
			
		</p>  

		<p>
			<label for="<?php echo $this->get_field_id( 'address' ); ?>">
				Address:
			</label>
			<input class="widefat" type="text" id="<?php echo $this->get_field_id( 'address' ); ?>" name="<?php echo $this->get_field_name( 'address' ); ?>" value="<?php echo esc_attr($instance['address']); ?>" />
			
		</p>  

		<?php
	}
	
	public function update( $new_instance, $old_instance ) {
		
		$instance = $old_instance;

		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['address'] = strip_tags( $new_instance['address'] );
		
		return $instance;
	
	}                     
	
	public function widget( $args, $instance ) {
	
		extract( $args );

		$allowed = array(
		
			'div' => array(
				'id' => array(),
				'class' => array(),
			),
			'article' => array(
				'id' => array(),
				'class' => array(),
			),
			'h4' => array(
				'class' => array(),
			)
	
		);

		echo wp_kses($before_widget, $allowed);

		$title = apply_filters( 'widget_title', $instance['title'] );
		
		if ( $title )
			echo wp_kses($before_title, $allowed) . esc_attr($title) . wp_kses($after_title, $allowed) ;
		
		echo do_shortcode('[googlemaps src="'.esc_attr($instance['address']).'"]'); 

		echo wp_kses($after_widget, $allowed);
		
	}

}

?>