<?php 

class wip_newsletter_widget extends WP_Widget {
	
	public function __construct() {
	
		parent::__construct( "wip_newsletter_widget", "Sueva Newsletter Widget", array("description" => "Sueva Newsletter Widget"));
	
	}
	
	public function form( $instance ) {

		$defaults = array( 
			'title' => 'Stay updated',
			'newsletter_text' => 'Subscribe to our newsletter and stay updated with our special offers and the latest free themes released.',
			'signup_url' => 'http://themeinprogress.us3.list-manage.com/subscribe/post?u=04e7aa5a48a6cebbed4705c91&id=4ab946d668',
        );
		
		$instance = wp_parse_args( (array) $instance, $defaults ); 

?>
            
        <p> 
        
            <label for="<?php echo $this->get_field_id( 'title' ); ?>"> <?php esc_html_e( "Title","sueva"); ?> </label>
            <input class="widefat" type="text" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo esc_attr($instance['title']); ?>" />
                
        </p>  
    
        <p>
                
            <label for="<?php echo $this->get_field_id( 'newsletter_text' ); ?>"><?php esc_html_e( "Newsletter text","sueva"); ?> </label>
            <textarea class="widefat" id="<?php echo $this->get_field_id( 'newsletter_text' ); ?>" name="<?php echo $this->get_field_name( 'newsletter_text' ); ?>" cols="4" rows="4"><?php echo esc_attr($instance['newsletter_text']); ?></textarea>
    
        </p>  
    
        <p>
            
            <label for="<?php echo $this->get_field_id( 'title' ); ?>"> <?php esc_html_e( "Signup Url","sueva"); ?> </label>
            <input class="widefat" type="text" id="<?php echo $this->get_field_id( 'signup_url' ); ?>" name="<?php echo $this->get_field_name( 'signup_url' ); ?>" value="<?php echo esc_url($instance['signup_url']); ?>" />
                
        </p>  

<?php
	
	}
	
	public function update( $new_instance, $old_instance ) {
		
		$instance = $old_instance;

		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['signup_url'] = strip_tags( $new_instance['signup_url'] );
		$instance['newsletter_text'] = strip_tags( $new_instance['newsletter_text'] );
		
		return $instance;
	}                     

	public function widget( $args, $instance ) {
		
		extract( $args );
		
		$allowed = array(
		
			'div' => array(
				'id' => array(),
				'class' => array(),
			),
			'article' => array(
				'id' => array(),
				'class' => array(),
			),
			'h4' => array(
				'class' => array(),
			)
	
		);

		echo wp_kses($before_widget, $allowed);

		$title = apply_filters( 'widget_title', $instance['title'] );
		
		if ( $title )
			echo wp_kses($before_title, $allowed) . esc_attr($title) . wp_kses($after_title, $allowed) ;
			
		if ( $instance['newsletter_text'] ) 
			echo '<p class="newsletter-text">' . esc_attr($instance['newsletter_text']) . '</p>'; 
			
		?>
        
        <div class="contact-form newsletter-form">
			
            <form method="post" class="validate" action="<?php echo esc_url($instance['signup_url']); ?>" id="mc-embedded-subscribe-form" name="mc-embedded-subscribe-form" target="_blank" novalidate>
                 <input type="text" value="" placeholder="<?php esc_html_e( 'Your name', 'sueva' ) ?>"  id="mce-FNAME" name="FNAME"/>
                 <input type="text" value="" placeholder="<?php esc_html_e( 'Your email', 'sueva' ) ?>"  id="mce-EMAIL" name="EMAIL"/>
                 <input type="submit" name="subscribe" id="mc-embedded-subscribe" value="<?php esc_html_e( 'Sign Up', 'sueva' ) ?>" />
			</form>
            
            <div class="clear"></div> 
        
        </div>
		
	<?php

		echo wp_kses($after_widget, $allowed);
	
	}
	
}
	
?>