<?php 

class wip_page_widget extends WP_Widget {
	
	public function __construct() {
	
		parent::__construct( "wip_page_widget", "Sueva Page Widget", array("description" => "Sueva Page Widget"));
	
	}
	
	public function form( $instance ) {
		
		$defaults = array( 
			'title' => 'Pages Site',
			'esclude' => NULL,
        );
		
		$instance = wp_parse_args( (array) $instance, $defaults ); 

		?>
        
		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>">
				Title:
			</label>
			<input class="widefat" type="text" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo esc_attr($instance['title']); ?>" />
			
		</p>  

		<p>
			<label for="<?php echo $this->get_field_id( 'esclude' ); ?>"> Escludi: </label>
			<input class="widefat" type="text" id="<?php echo $this->get_field_id( 'esclude' ); ?>" name="<?php echo $this->get_field_name( 'esclude' ); ?>" value="<?php echo esc_attr($instance['esclude']); ?>" />
			<small>ID pagina, separati da virgole.</small>
		</p>

		<?php
	}
	
	public function update( $new_instance, $old_instance ) {
		
		$instance = $old_instance;

		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['esclude'] = strip_tags( $new_instance['esclude'] );
		
		return $instance;
	}                     
	
	public function widget( $args, $instance ) {
			
		extract( $args );
		
		$allowed = array(
		
			'div' => array(
				'id' => array(),
				'class' => array(),
			),
			'article' => array(
				'id' => array(),
				'class' => array(),
			),
			'h4' => array(
				'class' => array(),
			)
	
		);

		echo wp_kses($before_widget, $allowed);

		$title = apply_filters( 'widget_title', $instance['title'] );
		
		if ( $title )
			echo wp_kses($before_title, $allowed) . esc_attr($title) . wp_kses($after_title, $allowed) ;

?>
        
        <ul class="widget-category">
		
        	<?php 
				
				$esclude = $instance['esclude'];
				if (isset($esclude)) $esclude = "exclude=$esclude";
  				$pages = get_pages($esclude); 
  					foreach ( $pages as $page ) {
  						echo "<li><a href='".get_page_link( $page->ID )."' >".$page->post_title."</a></li>";
					}
			
			?>
		
        </ul>
        
<?php

		echo wp_kses($after_widget, $allowed);
		
	}
	
}

?>