<?php 

class wip_soundcloud_widget extends WP_Widget {
	
	public function __construct() {
	
		parent::__construct( "wip_soundcloud_widget", "Sueva Soundcloud Widget", array("description" => "Sueva Soundcloud Widget"));
	
	}
	
	public function form( $instance ) {

		$defaults = array( 
			'title' => 'Soundcloud Player',
			'url' => NULL,
        );
		
		$instance = wp_parse_args( (array) $instance, $defaults ); 

		?>
        
		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>">
				Title:
			</label>
			<input class="widefat" type="text" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo esc_attr($instance['title']); ?>" />
			
		</p>  

		<p>
			<label for="<?php echo $this->get_field_id( 'url' ); ?>">
				Url:
			</label>
			<input class="widefat" type="text" id="<?php echo $this->get_field_id( 'url' ); ?>" name="<?php echo $this->get_field_name( 'url' ); ?>" value="<?php echo esc_url($instance['url']); ?>" />
			
		</p>  

		<?php
	}
	
	public function update( $new_instance, $old_instance ) {
	
		$instance = $old_instance;

		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['url'] = strip_tags( $new_instance['url'] );
		
		return $instance;
	}                     
	
	public function widget( $args, $instance ) {
		
		extract( $args );

		$allowed = array(
		
			'div' => array(
				'id' => array(),
				'class' => array(),
			),
			'article' => array(
				'id' => array(),
				'class' => array(),
			),
			'h4' => array(
				'class' => array(),
			)
	
		);

		echo wp_kses($before_widget, $allowed);

		$title = apply_filters( 'widget_title', $instance['title'] );
		
		if ( $title )
			echo wp_kses($before_title, $allowed) . esc_attr($title) . wp_kses($after_title, $allowed) ;
		
		echo do_shortcode('[soundcloud url="'.esc_url($instance['url']).'"]'); 

		echo wp_kses($after_widget, $allowed);
	
	}
	
}

?>