<?php
/**
 * BuddyPress - Members Loop
 *
 * Querystring is set via AJAX in _inc/ajax.php - bp_legacy_theme_object_filter()
 *
 * @package BuddyPress
 * @subpackage bp-legacy
 */

/**
 * Fires before the display of the members loop.
 *
 * @since 1.2.0
 */
do_action( 'bp_before_members_loop' ); ?>

<?php if ( bp_get_current_member_type() ) : ?>
	<p class="current-member-type"><?php bp_current_member_type_message() ?></p>
<?php endif; ?>

<?php if ( bp_has_members( bp_ajax_querystring( 'members' ) ) ) : ?>

	<div id="pag-top" class="pagination">

		<div class="pag-count" id="member-dir-count-top">

		</div>

		<div class="pagination-links" id="member-dir-pag-top">

			<?php bp_members_pagination_links(); ?>

		</div>

	</div>

	<?php

	/**
	 * Fires before the display of the members list.
	 *
	 * @since 1.1.0
	 */
	do_action( 'bp_before_directory_members_list' ); ?>

	<ul id="members-list" class="item-list">

	<?php while ( bp_members() ) { bp_the_member(); ?>
		<?php 
		$user_id = bp_get_member_user_id();
		$user = new WP_User( $user_id );
		$role = $user->roles[0];
		if($role!='administrator'){
		?>
		<li <?php bp_member_class(); ?>>
			<div class="col-md-1">
				<div class="item-avatar">
					<?php bp_member_avatar(); ?></a> 
				</div>
			</div>
			<div class="col-md-8">
				<div class="item">
					<div class="item-title">
					<?php bp_member_name(); ?></a>
					
					</div>

					<?php

					/**
					 * Fires inside the display of a directory member item.
					 *
					 * @since 1.1.0
					 */
					do_action( 'bp_directory_members_item' ); ?>

					<?php
					 /***
					  * If you want to show specific profile fields here you can,
					  * but it'll add an extra query for each member in the loop
					  * (only one regardless of the number of fields you show):
					  *
					  * bp_member_profile_data( 'field=the field name' );				  
					  */	
					  
					 ?>
					
				</div>
				<div class="item">
					<div class="item-title">
					Phone: <?php echo xprofile_get_field_data( 'Phone (Home)', bp_get_member_user_id() );?>
					</div>
				</div>
				<div class="item">
					<div class="item-title">
					Mobile: <?php echo xprofile_get_field_data( 'Mobile', bp_get_member_user_id() );?>
					</div>
				</div>
				<div class="item">
					<div class="item-title">
					Email: <?php echo xprofile_get_field_data( 'Email', bp_get_member_user_id() );?>
					</div>
				</div>
				<div class="item">
					<div class="item-title">
					Suburb: <?php echo xprofile_get_field_data( 'Suburb (City)', bp_get_member_user_id() );?>
					</div>
				</div>
				<div class="item">
					<div class="item-title">
					State: <?php echo xprofile_get_field_data( 'State', bp_get_member_user_id() );?>
					</div>
				</div>
				<div class="action">

					<?php

					/**
					 * Fires inside the members action HTML markup to display actions.
					 *
					 * @since 1.1.0
					 */
					do_action( 'bp_directory_members_actions' ); ?>

				</div>
			</div>
			<div class="clear"></div>
		</li>
		<?php }?>
	<?php } ?>

	</ul>

	<?php

	/**
	 * Fires after the display of the members list.
	 *
	 * @since 1.1.0
	 */
	do_action( 'bp_after_directory_members_list' ); ?>

	<?php bp_member_hidden_fields(); ?>

	<div id="pag-bottom" class="pagination">

		<div class="pag-count" id="member-dir-count-bottom">


		</div>

		<div class="pagination-links" id="member-dir-pag-bottom">

			<?php bp_members_pagination_links(); ?>

		</div>

	</div>

<?php else: ?>

	<div id="message" class="info">
		<p><?php _e( "Sorry, no members were found.", 'buddypress' ); ?></p>
	</div>

<?php endif; ?>

<?php

/**
 * Fires after the display of the members loop.
 *
 * @since 1.2.0
 */
do_action( 'bp_after_members_loop' ); ?>