<?php 

function theme_enqueue_styles() {

    $parent_style = 'parent-style';

    wp_enqueue_style( $parent_style, get_template_directory_uri() . '/style.css' );
    wp_enqueue_style( 'child-style',
        get_stylesheet_directory_uri() . '/style.css',
        array( $parent_style )
    );
}
add_action( 'wp_enqueue_scripts', 'theme_enqueue_styles' );

// custom admin login logo



function my_login_logo_url() {
    return home_url();
}
add_filter( 'login_headerurl', 'my_login_logo_url' );

function my_login_logo_url_title() {
    return 'CSD Australia';
}
add_filter( 'login_headertitle', 'my_login_logo_url_title' );


function jetpackme_remove_rp() {
    if ( class_exists( 'Jetpack_RelatedPosts' ) ) {
        $jprp = Jetpack_RelatedPosts::init();
        $callback = array( $jprp, 'filter_add_target_to_dom' );
        remove_filter( 'the_content', $callback, 40 );
    }
}
add_filter( 'wp', 'jetpackme_remove_rp', 20 );

register_nav_menus( array(
    'primary' => __( 'Primary Menu', 'yourtheme'),
    'secondary' => __( 'Secondary Menu', 'yourtheme' ),
 ) );

function the_title_trim($title)
{
  $pattern[0] = '/Protected:/';
  $pattern[1] = '/Private:/';
  $replacement[0] = ''; // Enter some text to put in place of Protected:
  $replacement[1] = ''; // Enter some text to put in place of Private:

  return preg_replace($pattern, $replacement, $title);
}
add_filter('the_title', 'the_title_trim');

//*******excluding categories from archives dropdown menu************//
add_filter( 'getarchives_where', 'customarchives_where' );
add_filter( 'getarchives_join', 'customarchives_join' );
 
function customarchives_join( $x ) {
 
	global $wpdb;
 
	return $x . " INNER JOIN $wpdb->term_relationships ON ($wpdb->posts.ID = $wpdb->term_relationships.object_id) INNER JOIN $wpdb->term_taxonomy ON ($wpdb->term_relationships.term_taxonomy_id = $wpdb->term_taxonomy.term_taxonomy_id)";
 
}
 
function customarchives_where( $x ) {
 
	global $wpdb;
 
   // 28 = Public, 1 = Posts
	$exclude = '28,1'; // category id to exclude
 
	return $x . " AND $wpdb->term_taxonomy.taxonomy = 'category' AND $wpdb->term_taxonomy.term_id NOT IN ($exclude)";
 
}

// Filter wp_nav_menu( 'membersonly' ) to add profile link
add_filter( 'wp_nav_menu_items', 'my_nav_menu_profile_link' );
function my_nav_menu_profile_link($menu) 
{ 	
	if (!is_user_logged_in())
		return $menu;
	else
		$page_url = get_permalink(5);
		$profilelink = '<li><a href="'.$page_url.'">' . __('') . '</a></li>'; // ('') is where Members Forum was inserted to take members to membership profile lists has been temporarily taken off site
		$menu = $menu . $profilelink;
		return $menu;
}

//Remove dashboard widgets for all users except admin view
function remove_dashboard_widgets() {
	global $wp_meta_boxes;

	unset($wp_meta_boxes['dashboard']['side']['core']['dashboard_quick_press']);
	unset($wp_meta_boxes['dashboard']['normal']['core']['dashboard_incoming_links']);
	unset($wp_meta_boxes['dashboard']['normal']['core']['dashboard_right_now']);
	unset($wp_meta_boxes['dashboard']['normal']['core']['dashboard_plugins']);
	unset($wp_meta_boxes['dashboard']['normal']['core']['dashboard_recent_drafts']);
	unset($wp_meta_boxes['dashboard']['normal']['core']['dashboard_recent_comments']);
	unset($wp_meta_boxes['dashboard']['side']['core']['dashboard_primary']);
	unset($wp_meta_boxes['dashboard']['side']['core']['dashboard_secondary']);

}

if (!current_user_can('manage_options')) {
	add_action('wp_dashboard_setup', 'remove_dashboard_widgets' );
}

function fbpp_remove_dashboard_widget() {
	if ( current_user_can( 'manage_options' ) ) {
		remove_meta_box( 'facebook-page-plugin-shortcode-generator', 'dashboard', 'side' );
	}
}
add_action('wp_dashboard_setup', 'fbpp_remove_dashboard_widget' );

//add extra profile fields for Membership Payment Record
add_action( 'show_user_profile', 'my_show_extra_profile_fields' );
add_action( 'edit_user_profile', 'my_show_extra_profile_fields' );
 
function my_show_extra_profile_fields( $user ) { ?>
 
    <h3>Membership Payment Record</h3>
 
    <table class="form-table">
 
        <tr>
            <th><label for="fye2017">FYE 2017</label></th>
 
            <td>
                <input type="text" name="fye2017" id="fye2017" value="<?php echo esc_attr( get_the_author_meta( 'fye2017', $user->ID ) ); ?>" class="regular-text" /><br />
                <span class="description"></span>
            </td>
            <th><label for="fye2018">FYE 2018</label></th>
 
            <td>
                <input type="text" name="fye2018" id="fye2018" value="<?php echo esc_attr( get_the_author_meta( 'fye2018', $user->ID ) ); ?>" class="regular-text" /><br />
                <span class="description"></span>
            </td>
            <th><label for="fye2019">FYE 2019</label></th>
 
            <td>
                <input type="text" name="fye2019" id="fye2019" value="<?php echo esc_attr( get_the_author_meta( 'fye2019', $user->ID ) ); ?>" class="regular-text" /><br />
                <span class="description"></span>
            </td>
             <th><label for="fye2020">FYE 2020</label></th>
 
            <td>
                <input type="text" name="fye2020" id="fye2020" value="<?php echo esc_attr( get_the_author_meta( 'fye2020', $user->ID ) ); ?>" class="regular-text" /><br />
                <span class="description"></span>
            </td>
        </tr>
 
    </table>
<?php }

add_action( 'personal_options_update', 'my_save_extra_profile_fields' );
add_action( 'edit_user_profile_update', 'my_save_extra_profile_fields' );

function my_save_extra_profile_fields( $user_id ) {

	if ( !current_user_can( 'edit_user', $user_id ) )
		return false;

	/* Copy and paste this line for additional fields. Make sure to change 'twitter' to the field ID. */
	update_usermeta( $user_id, 'fye2017', $_POST['fye2017'] );
	update_usermeta( $user_id, 'fye2018', $_POST['fye2018'] );
	update_usermeta( $user_id, 'fye2019', $_POST['fye2019'] );
	update_usermeta( $user_id, 'fye2020', $_POST['fye2020'] );
}

?>